var CacheStorage= {
	
	_SEGUNDO: 1000,
	_MINUTO: 60 * 1000,
	_HORA: 60 * 60000,
	_DIA: 24 * 3600000,
	
	keys: new Array(),
	
	caches: new Array(),
	/*caches: [
		{
			id: null,
			url: null,
			time: 0,
			cache: null,
		}	
	],*/
	

	
	addCache: function(id, url, validade, dados){
		for(var i= 0; i < this.caches.length; i++){
			if(this.caches[i].id == id){
				this.caches.splice(i, 1);
				break;
			}
		}
		
		var obj= {
			id: id,
			url: url,
			time: Date.now() + validade,
			dados: dados
		};
		
		this.keys.push(obj.id);
		this.caches.push(obj);
		
		this.objStringfy();
	},
	
	objStringfy: function(){
		localStorage.CacheStorageKeys= JSON.stringify(this.keys);
		
		for(var i= 0; i < this.caches.length; i++){
			localStorage.setItem( this.caches[i].id, JSON.stringify(this.caches[i]) );
		}
	},
	
	getStorage: function(){
		if(localStorage.CacheStorageKeys){
			var obj= JSON.parse( localStorage.getItem("CacheStorageKeys") );
			
			// Checa de as chaves que estão no storage ainda são validas
			for(var i= 0; i < obj.length; i++){
				// existe um storage com esta chave?
				if(localStorage.getItem(obj[i])){
					var cache= JSON.parse( localStorage.getItem(obj[i]) );
					
					if(Date.now() < cache.time){
						this.caches.push(cache);
						this.keys.push(obj[i]);
					}else{
						// remove o storage expirado
						localStorage.removeItem(obj[i]);
					}
				}
			}
		}
		
		this.objStringfy();		
	},		
	
	isValid: function(url){		
		for(var i= 0; i < this.caches.length; i++){
			if(this.caches[i].url == url){
				if(Date.now() > this.caches[i].time){
					console.log(this.caches[i].id +" Expirou");
					// tempo de agora é maior que a validade, cache expirou
					this.removeKey(this.caches[i].id);
					this.caches.splice(i, 1);					
					this.objStringfy();
					return false;
				}else{
					console.log(this.caches[i].id +" Ainda Valido");
					// ainda é valido			
					return true;
				}	
				
			}
		}
		
		// se chegou até aqui o ID não foi encontrado retorna false
		console.log("Não encontou Cache");
		return false;
	},
	
	getDados: function(url){
		for(var i= 0; i < this.caches.length; i++){
			if(this.caches[i].url == url){
				return this.caches[i].dados; 
			}
		}
		
		return null;
	},
	
	removeKey: function(id){
		for(var i= 0; i < this.caches.length; i++){
			if(this.caches[i].id == id){
				this.caches.splice(i, 1);
			}
		}
		
		for(var i= 0; i < this.keys.length; i++){
			if(this.keys[i] == id){
				this.keys.splice(i, 1);
				localStorage.removeItem(id);
				this.objStringfy();
			}
		}		
	},
	
	
	init: function(){	
		this.getStorage();
	}
	
};