var _suportaBase64 = true;
(function() {
    var data = new Image();
    data.onload = data.onerror = function() {
        if (this.width != 1 || this.height != 1) {
            _suportaBase64 = false;
        }
    }
    data.src = "data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///ywAAAAAAQABAAACAUwAOw==";
    var canvas = document.createElement('CANVAS');

    if (typeof canvas.toDataURL != "function") {        
		_suportaBase64 = false;
    }
})();

var CARD= (function(Usuario, Favorito, Locale, PLAYER, AppConfig, CURTIR) {
    var obj= {};	
	var cardId= 0;
	var video= $("<video src='' preload='auto' autoplay loop controls style='width:100%;'></video>");
	var cardVideo= null;
	// private
	
	function interacao(){
		var that= this;
		$("body").on("click", "a[data-card-action]", function(){			
			var card= $(this).closest(".card");
			var acao= $(this).attr("data-card-action");
			var id= card.attr("id");
			switch(acao){
				case "shareWhatsApp":
					shareLoader(id);
					obj.updateShareCount(id);
					shareOnWhatsApp(id);
					break;
				case "shareSocial":
					shareLoader(id);
					obj.updateShareCount(id);
					socialShare(id);
					break;
				case "save":
					shareLoader(id);
					obj.updateShareCount(id);
					save(id);
					break;
				case "facebook":
					shareLoader(id);
					obj.updateShareCount(id);
					shareOnFacebook(id);
					break;	
				case "bloquear":
					bloquear(id);	
					break;
				case "desbloquear":
					desbloquear(id);	
					break;
				case "favorito":
					favoritar(id);
					break;	
				case "actionToogle":	
					actionToogle(id);
					break;
				case "gostei":	
					gostei(id);
					break;
				case "naoGostei":	
					naoGostei(id);
					break;
				case "trofeu":	
					trofeu(id);
					break;
				case "abrirGif":	
					//player(id);					
					executaGif(id);
					eventosVideo();
					break;
				case "excluir":	
					excluir(id);
					break;	
				default: break;	
			}
			
		});
		
	}
	
	function getCard(id){
		for(var i= 0; i < obj.cards.length; i++){
			var c= obj.cards[i];
			
			if(id == c.id){
				return obj.cards[i];
			}
		}
		return null;
	}
	
	function removeCard(id){
		for(var i= 0; i < obj.cards.length; i++){
			var c= obj.cards[i];
			
			if(id == c.id){
				obj.cards.splice(i,1)
				return true;
			}
		}
	}
	
	function shareLoader(cardId){
		var card= getCard(cardId);
		
		if(card){
			if(card.modulos.shareLoader.css("visibility") == "hidden"){
				card.modulos.shareLoader.css("visibility", "visible");
			}else{
				card.modulos.shareLoader.css("visibility", "hidden");
			}
		}
	}
	
	function shareLoaderHidden(cardId){
		var card= getCard(cardId);
		
		if(card){
			card.modulos.shareLoader.css("visibility", "hidden");
		}
	}
	
	function bloquear(cardId){
		if (PLATAFORMA.cordova) {
			navigator.notification.confirm(
				Locale.ativo["str031"], // message
				function(buttonIndex) {
					if (buttonIndex == 1) {
						var card= getCard(cardId);
			
						if(card){
							Favorito.addBloqueados(card.jsonImagem.url);
							
							card.html.fadeOut(function(){
								$(this).remove();
								removeCard(cardId);
							});
						}                          
					}
				}, // callback to invoke with index of button pressed
				Locale.ativo["str028"], // title
					['Ok', 'Cancel'] // buttonLabels
			);
		} else {
			var conf = confirm(Locale.ativo["str031"]);

				if (conf) {
					var card= getCard(cardId);
			
					if(card){
						Favorito.addBloqueados(card.jsonImagem.caminho);
						
						card.html.fadeOut(function(){
							$(this).remove();
							removeCard(cardId);
						});
					}
				}
		}	
	}
	
	function desbloquear(cardId){
		if (PLATAFORMA.cordova) {
            navigator.notification.confirm(
                Locale.ativo["str033"], // message
                function(buttonIndex) {
                    if (buttonIndex == 1) {
                        var card= getCard(cardId);
						
						if(card){
							for (var i = 0; i < Favorito.bloqueados.length; i++){
								if (card.jsonImagem.caminho == this.bloqueados[i]){
									Favorito.bloqueados.splice(i, 1);
									
									card.html.fadeOut(function(){
										$(this).remove();
										removeCard(cardId);
									});
									
									break;
								}
							}
						} 
					
						localStorage.bloqueados = JSON.stringify(Favorito.bloqueados);
                    }
                }, // callback to invoke with index of button pressed
                Locale.ativo["str028"], // title
                ['Ok', 'Cancel'] // buttonLabels
            );
        }else{
            var conf = confirm(Locale.ativo["str033"]);

            if(conf){
                var card= getCard(cardId);
                
				for (var i = 0; i < Favorito.bloqueados.length; i++){
					if (card.jsonImagem.caminho == Favorito.bloqueados[i]){
						Favorito.bloqueados.splice(i, 1);
						
						card.html.fadeOut(function(){
							$(this).remove();
							removeCard(cardId);
						});
						
						break;
					}
				}
				localStorage.bloqueados = JSON.stringify(Favorito.bloqueados);
            }
			
        }	
	}
	
	function favoritar(cardId){
		var card= getCard(cardId);
		
		if(card){
			if( card.modulos.coracao.hasClass("text-blue") ){
				card.modulos.coracao.removeClass("text-blue fa-heart-o").addClass("text-red fa-heart");
				Favorito.addFavoritos(card.jsonImagem.id);
				Favorito.zueiras.splice(0, 0, card.jsonImagem);
			}else{
				card.modulos.coracao.removeClass("text-red fa-heart").addClass("text-blue fa-heart-o");
				Favorito.removerFavoritos(card.jsonImagem.id);
			}
		}
	}
	
	function actionToogle(cardId){
		var card= getCard(cardId);
		
		if(card){
			if( card.modulos.actionToogle.hasClass("fa-caret-down") ){
				card.modulos.actionToogle.removeClass("fa-caret-down").addClass("fa-caret-up");
				card.modulos.hiddenAction.css("display", "block");
			}else{
				card.modulos.actionToogle.removeClass("fa-caret-up").addClass("fa-caret-down");
				card.modulos.hiddenAction.css("display", "none");
			}
		}
	}
	
	function gostei(cardId){
		var card= getCard(cardId);
		
		if(card){
			if( card.modulos.gostei.hasClass("text-blue") ){
				// usuario curtiu
				card.modulos.gostei.removeClass("text-blue fa-thumbs-o-up").addClass("text-green fa-thumbs-up");
				
				if(card.jsonImagem.gostei){
					card.jsonImagem.gostei++;
				}else{
					card.jsonImagem.gostei= 1;
				}
				
				card.modulos.countGostei.html(card.jsonImagem.gostei);
				
				tirarNaoGostei(card);
				CURTIR.curtir(card.jsonImagem.id, 1, 0);
			}else{
				// usuario tirou o curtir
				card.modulos.gostei.removeClass("text-green fa-thumbs-up").addClass("text-blue fa-thumbs-o-up");
				
				card.jsonImagem.gostei--;
				card.modulos.countGostei.html(card.jsonImagem.gostei);
				CURTIR.curtir(card.jsonImagem.id, 0, 0);
			}
		}
	}
	
	function naoGostei(cardId){
		var card= getCard(cardId);
		
		if(card){
			if( card.modulos.naoGostei.hasClass("text-blue") ){
				// usuario curtiu
				card.modulos.naoGostei.removeClass("text-blue fa-thumbs-o-down").addClass("text-red fa-thumbs-down");
				
				if(card.jsonImagem.naoGostei){
					card.jsonImagem.naoGostei++;
				}else{
					card.jsonImagem.naoGostei= 1;
				}
				
				card.modulos.countNaoGostei.html(card.jsonImagem.naoGostei);
				
				tirarGostei(card);
				CURTIR.curtir(card.jsonImagem.id, 0, 1);
			}else{
				// usuario tirou o curtir
				card.modulos.naoGostei.removeClass("text-red fa-thumbs-down").addClass("text-blue fa-thumbs-o-down");
				
				card.jsonImagem.naoGostei--;
				card.modulos.countNaoGostei.html(card.jsonImagem.naoGostei);
				CURTIR.curtir(card.jsonImagem.id, 0, 0);
			}
		}
	}
	
	function tirarGostei(card){	
		if(card){
			if( card.modulos.gostei.hasClass("text-green") ){
				card.modulos.gostei.removeClass("text-green fa-thumbs-up").addClass("text-blue fa-thumbs-o-up");
				
				card.jsonImagem.gostei--;
				card.modulos.countGostei.html(card.jsonImagem.gostei);
			}
		}
	}
	
	function tirarNaoGostei(card){
		if(card){
			if( card.modulos.naoGostei.hasClass("text-red") ){
				card.modulos.naoGostei.removeClass("text-red fa-thumbs-down").addClass("text-blue fa-thumbs-o-down");
				
				card.jsonImagem.naoGostei--;
				card.modulos.countNaoGostei.html(card.jsonImagem.naoGostei);
			}
		}
	}

	function player(cardId){
		var card= getCard(cardId);
		console.log("player");
		PLAYER.construir(card.jsonImagem);
		
	}		
	
	function executaGif(cardId){
		var card= getCard(cardId);
		
		if(card){
			if(cardVideo){
				cardVideo.html.find(".card-video video").remove();
				cardVideo.html.find(".card-img").css("display", "block");				
			}
			
			cardVideo= card;
			
			video.get(0).src= card.jsonImagem.video_url;
			video.get(0).load();
			video.get(0).play();
			
			card.html.find(".card-img").css("display", "none");
			card.html.find(".card-video").append(video);
			
			window.analytics.trackEvent('GIF', 'Play', 'Play Gif', card.jsonImagem.id);
		}
		
		
		/*if($video.get(0).paused){
				$simbolo.css("display", "none");
				$video.get(0).play();
			}else{
				$simbolo.css("display", "block");
				$video.get(0).pause();
			}*/
	}
	
	function eventosVideo(){
		video.on("click", function(){
			var v= $(this);
			var video= v.get(0);
			if(video.paused){
				video.play();
			}else{
				video.pause();				
			}
		});
	}
	
	function gerarBase64(url, callback){
		var img= new Image();
		img.src= url;
		img.onload= function(){
			callback(canvasBase64(this));
		}
		img.complete= function(){
			callback(canvasBase64(this));
		}
	}
	
	function canvasBase64(objImagem){
		var dataURL= objImagem.src;
		
		if(_suportaBase64){
			var canvas = document.createElement('CANVAS');
			ctx = canvas.getContext('2d');
			canvas.height = objImagem.height;
			canvas.width = objImagem.width;
			ctx.drawImage(objImagem, 0, 0);
			dataURL = canvas.toDataURL("image/png");
			canvas = null;
		}		
		return dataURL;
	}
	
	function shareOnWhatsApp(cardId){
        var card= getCard(cardId);
		
		if(!card || !PLATAFORMA.cordova){
			shareLoaderHidden(card.id);
			return;
		}
		
		imagemShare(card.jsonImagem.id);
		
		if (!PLATAFORMA.isOnline()){
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		var gif= false;
			
		if(card.jsonImagem.gif_capa){
			gif= true;
		}
				
		window.analytics.trackEvent('Compartilhar', 'WhatsApp', 'Imagem', card.jsonImagem.id);
		if(!gif){
			gerarBase64(card.jsonImagem.caminho, function(base64){
				window.plugins.socialsharing.shareViaWhatsApp(null, base64, null, function() {
					shareLoaderHidden(card.id);
				},
				function() {
					shareLoaderHidden(card.id);
				});
			});
        } else {                
			//window.plugins.socialsharing.share("", "", null, card.jsonImagem.gif_url);
        }
        return false;
    }
	
	function save(cardId){
        var card= getCard(cardId);
		
		if(!card || !PLATAFORMA.wp8){
			shareLoaderHidden(cardId);
			return;
		}
		
		if (!PLATAFORMA.isOnline()){
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
			shareLoaderHidden(cardId);
            return;
        }

		var gif= false;
			
		if(card.jsonImagem.gif_capa){
			gif= true;
		}
		
		if(gif){
			window.open(card.jsonImagem.video_url, "_system");					
        } else {
			download(card.jsonImagem.caminho, ".jpg");
        }        
		return false;
    }
	
	function download(url, ext, cardId){
		window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, null, null);
		var fileTransfer = new FileTransfer();
		var uri = encodeURI(url);
		var name= "zueira"+ ext;
		
		
		fileTransfer.download(
			uri,
			name,
			function (entry) {
				console.log("download complete: " + entry.filesystem.root.fullPath);
				//'Optional message', 'Optional title', 'https://www.google.nl/images/srpr/logo4w.png', null
				window.plugins.socialsharing.share("", "", entry.fullPath, null);
				shareLoaderHidden(cardId);				
			},
			function (error) {
				console.log("download error source " + error.source);
				console.log("download error target " + error.target);
				console.log("upload error code" + error.code);
				shareLoaderHidden(cardId);
			},
			false,
			{
				headers: {
					"Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
				}
			}
		);
	}
	
	function shareOnFacebook(cardId){
		var card= getCard(cardId);
		
		imagemShare(card.jsonImagem.id);
		
		if(!card || !PLATAFORMA.cordova){
			shareLoaderHidden(card.id);
			return;
		}
		
		window.analytics.trackEvent('Compartilhar', 'Facebook', 'GIF', card.jsonImagem.id);
		
		if (!PLATAFORMA.isOnline()){
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		
		imagemShare(card.jsonImagem.id);
		
		if(PLATAFORMA.wp8){
			window.plugins.socialsharing.share("", "", null, card.jsonImagem.gif_url);
			shareLoaderHidden(card.id);
			return;
		}
		
		window.plugins.socialsharing.shareViaFacebookWithPasteMessageHint('Message via Facebook', null /* img */, card.jsonImagem.gif_url /* url */, 'Preparando Facebook!', 
			function(){
				shareLoaderHidden(card.id);
			},	
			function(errormsg){
				shareLoaderHidden(card.id);
			}
		);
			
        return false;
    }

	function shareGifOnSocial(cardId){
		var card= getCard(cardId);
		
		imagemShare(card.jsonImagem.id);
		
		if(!card || !PLATAFORMA.cordova){
			shareLoaderHidden(card.id);
			return;
		}
		
		if (!PLATAFORMA.isOnline()){
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		
		window.analytics.trackEvent('Compartilhar', 'Social', 'GIF', card.jsonImagem.id);
		imagemShare(card.jsonImagem.id);
		
		if(PLATAFORMA.android){
			// No android não converte o gif em base64 pois tá dando pau
			window.plugins.socialsharing.share(null, null, card.jsonImagem.video_url, null, function() {
				shareLoaderHidden(card.id);
			},
			function() {
				shareLoaderHidden(card.id);
			});
		}else{
			downloadMP4(card.jsonImagem.video_url).then(function(obj){
				//if(PLATAFORMA.android){
					window.plugins.socialsharing.share(nukk, "Zueiras Sem Limites", obj.uriBase64);
					//alert(obj.uriBase64);
					//window.plugins.socialsharing.share("Zueiras Sem Limites", "Zueiras Sem Limites", obj.caminho);
				//}else if(PLATAFORMA.ios){
					window.ExternalFileUtil.open(obj.caminho, function() {
						resolve();
						shareLoaderHidden(card.id);
					}, function(e) {
						shareLoaderHidden(card.id);
						reject(e);
					});
				//}
			}, function(e){alert(e);shareLoaderHidden(cardId)});		
		}
        return false;
    }
	
	function downloadMP4(url, multiploDownload) {
        var that = this;

        return new Promise(function(resolve, reject) {
            
            var id = "id" + Date.now();
            var nomeArquivo = "audio.mp4";
            if (PLATAFORMA.ios) {
                //ios  precisa ser  extensao waa  para o  whatsapp entender
                nomeArquivo = "audio.mp4";
            }

            nomeArquivo = id + nomeArquivo;

            window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, function(fileSystem) {
                fileSystem.root.getFile("temp.mp4", {
                    create: true,
                    exclusive: false
                }, function(fileEntry) {

					var path = fileEntry.toURL().replace("temp.mp4", "");
                    var fileTransfer = new FileTransfer();
                    fileEntry.remove();

                    fileTransfer.download(url, path + nomeArquivo, function(fileEntry_) {
                        var caminho = fileEntry_.toURL();
                        //multiploDownload nao converte  para   base64
                        if (PLATAFORMA.ios || multiploDownload) {
                            resolve({
                                uriBase64: "",
                                caminho: caminho
                            });
                            return;
                        }
                        converterFileEntryParaBase64(fileEntry_).then(function(uriBase64) {
                            resolve({
                                uriBase64: uriBase64,
                                caminho: caminho
                            });
                        }).catch(reject);
                    }, reject, false, {
						//engana o google  kkkkkkk
                        headers: {
                            "Referer": "http://translate.google.com/",
                            "User-Agent": "Google"
                        }
					});
				}, reject);
            }, reject);
        });
    }
	
	function converterFileEntryParaBase64(fileEntry){
        return new Promise(function(resolve, reject) {
            fileEntry.file(function(file) {
				var reader = new FileReader();
                reader.onload = function(e) {
                    resolve(this.result);
                };
                reader.onerror = function(e) {
                    reject(new Error("reader -erro converterFileEntryParaBase64"));
                };
                reader.readAsDataURL(file);
            }, function() {
                reject(new Error("file - erro converterFileEntryParaBase64"));
            });
        });
    }	
	
	function socialShare(cardId){
        var card= getCard(cardId);
		
		imagemShare(card.jsonImagem.id);
		
		if(false && !card || !PLATAFORMA.cordova){
			shareLoaderHidden(card.id);
			return;
		}
		
		if (false && !PLATAFORMA.isOnline()){
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		
		var gif= false;
			
		if(card.jsonImagem.gif_capa){
			gif= true;
		}
		
		if(!gif){
			window.analytics.trackEvent('Compartilhar', 'Social', 'Imagem', card.jsonImagem.id);
			gerarBase64(card.jsonImagem.caminho, function(base64){				
				window.plugins.socialsharing.share(null, "Zueiras Sem Limites", base64, null, function() {
					shareLoaderHidden(card.id);
				},
				function() {
					shareLoaderHidden(card.id);
				});
			});
        } else {                
			shareGifOnSocial(card.id);
        }
        return false;
    }	
	
	function comentarios(cardId){
        var card= getCard(cardId);
		
        return false;
    }
	
	function trofeu(cardId){
        var card= getCard(cardId);
		
		if(!card ){
			return;
		}
		
		if (!PLATAFORMA.isOnline()){
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		Favorito.abrirTops(card.jsonImagem.id);
		
		return false;
    }
	
	function excluir(cardId){
		var card= getCard(cardId);
		
		if(card){
			if (PLATAFORMA.cordova) {
				navigator.notification.confirm(
					Locale.ativo["str090"], // message
					function(buttonIndex) {
						if (buttonIndex == 1) {
							var card= getCard(cardId);
				
							if(card){
								Favorito.excluir(card.jsonImagem.id);
								
								card.html.fadeOut(function(){
									$(this).remove();
									removeCard(cardId);
								});
							}                          
						}
					}, // callback to invoke with index of button pressed
					Locale.ativo["str028"], // title
						['Ok', 'Cancel'] // buttonLabels
				);
			} else {
				var conf = confirm(Locale.ativo["str090"]);

					if (conf) {
						var card= getCard(cardId);
				
						if(card){
							Favorito.excluir(card.jsonImagem.id);
							
							card.html.fadeOut(function(){
								$(this).remove();
								removeCard(cardId);
							});
						}
					}
			}
		}
	}
	
	function imagemShare(imagem) {
		var that = this;		
		
        if (this.ajax) {
            //this.ajax.abort();
			return false;
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensShare.php",
            //parametros  enviados
            data: {
                imagem: imagem,
				usuario: Conta.id
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;				
                return;
            }
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    }	
	
	function init(){
		interacao();
	};
	
	// public
	obj.cards= new Array();
	
	obj.updateShareCount= function(id){
		for(var i= 0; i < this.cards.length; i++){
			var c= this.cards[i];
			
			if(id == c.id){
				c.jsonImagem.compartilhamentos++;
				
				c.modulos.countShare.html(Locale.ativo["str006"]+": "+ c.jsonImagem.compartilhamentos);
				break;
			}
		}
	};
	
	obj.marcarFavoritas= function(){
		for(var i= 0; i < this.cards.length; i++){
			var c= this.cards[i];
			
			if(Favorito.isFavorite(c.jsonImagem.id)){
				c.modulos.coracao.removeClass("text-blue fa-heart-o").addClass("text-red fa-heart");
			}
		}
	};
	
	obj.construir= function(objImagem, timeline){		
		var that= this;
		
		if(Favorito.isBlocked(objImagem.caminho) || (objImagem.flag == "1" && AppConfig.bloquear_imagens == "1") ){
			return "";
		}
		
		
		var id= Date.now()+""+cardId;
		cardId++;
		
		
		var modulos= {
			imagem : $("<img alt='Erro ao carregar a imagem' class='imgExibicao' src='img/img-loader.png'>"),
			countShare: $("<div class='card-action-texto'>"+ Locale.ativo["str006"] +": "+ objImagem.compartilhamentos +"</div>"),			
			shareLoader: $("<div class=\"progress\" style='visibility:hidden'><div class=\"progress-bar-indeterminate\"></div></div>"),
			actionToogle: $("<span class='fa fa-caret-down text-blue'></span>"),
			coracao: $("<span class='fa fa-heart-o text-blue'></span>"),
			hiddenAction: $(
				"<ul class='nav nav-list pull-right card-icons' style='display:none;'>"+
				"	<li data-card-section='gostei'>"+
				//"		<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='gostei'><span class='fa fa-thumbs-o-up text-blue'></span><span style='font-size:10pt' data-contador='gostei'>0</span></a>"+
				"		<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='gostei'></a>"+
				"	</li>"+					
				"	<li data-card-section='naoGostei'>"+
				//"		<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='naoGostei'><span class='fa fa-thumbs-o-down text-blue'></span><span style='font-size:10pt' data-contador='naoGostei'>0</span></a>"+
				"		<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='naoGostei'></a>"+
				"	</li>"+					
				//"	<li data-card-section='comentarios'>"+						
				//"		<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='comentarios'><span class='fa fa-comment-o text-blue'></span><span style='font-size:10pt'>0</span></a>"+
				//"		<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='comentarios'></a>"+
				//"	</li>"+
				"	<li>"+
				"		<a href='javascript:void(0)' data-card-action='trofeu'><span class='fa fa-trophy text-blue'></span>&nbsp;</a>"+
				"	</li>"+
				"</ul>"+
				"<div style='clear:both'></div>"+
				"<ul class='nav nav-list' style='display:none;'>"+
				"	<li data-card-section='countShare'>"+
				"		<div class='card-action-texto'>"+
				"			"+ objImagem.descricao+
				"		</div>"+
				"	</li>"+
				"</ul>"			
			),
			gostei: $("<span class='fa fa-thumbs-o-up text-blue'></span>"),
			countGostei: $("<span style='font-size:10pt'>0</span>"),
			naoGostei: $("<span class='fa fa-thumbs-o-down text-blue'></span>"),
			countNaoGostei: $("<span style='font-size:10pt'>0</span>"),
			gifSimbolo: $("<a href='javascript:void(0);' data-card-action='abrirGif'><img src='img/gif-black.png' class='gifSimbolo'/></a>")

		};

		var html= $("<div class='card' id='"+ id +"'>"+
		"				<div class='card-main'>"+		
		"					<div class='card-video'></div>"+
		"					<div class='card-img'>"+				
		//"						<img alt='Erro ao carregar a imagem' class='imgExibicao' src='img/img-loader.png'>"+
		"					</div>"+
		"					<div class='card-action card-action-container' style='display: block;'>"+
		"						<ul class='nav nav-list'>"+
		"							<li data-card-section='countShare'>"+
		//"								<div class='card-action-texto'>Compartilhamentos: <span class='contShareZueira'>0</span>"+
		//"									<div></div>"+
		//"								</div>"+
		"							</li>"+
		"						</ul>"+
		"						<ul class='nav nav-list pull-right card-icons'>"+		
		"							<li data-card-section='save' style='display:none;'>"+						
		"								<a href='javascript:void(0);' data-card-action='save'><span class='fa fa-floppy-o text-blue'></span></a>"+
		"							</li>"+	
		"							<li data-card-section='whatsapp'>"+
		"								<a href='javascript:void(0);' data-card-action='shareWhatsApp'><span class='fa fa-whatsapp text-blue'></span></a>"+
		"							</li>"+					
		"							<li>"+						
		//"								<a href='javascript:void(0);' data-card-action='favorito'><span class='fa fa-heart-o text-blue'></span></a>"+
		"								<a href='javascript:void(0);' data-card-action='favorito'></a>"+
		"							</li>"+					
		"							<li>"+
		"								<a href='javascript:void(0);' data-card-action='bloquear'><span class='fa fa-ban text-blue'></span></a>"+
		"							</li>"+					
		"							<li data-card-section='socialsharing'>"+						
		"								<a href='javascript:void(0);' data-card-action='shareSocial'><span class='fa fa-share-square-o text-blue'></span></a>"+
		"							</li>"+
		"							<li class='dropdown'>"+
		//"								<a href='javascript:void(0);' data-card-action='actionToogle' class='dropdown-toggle' ><span class='fa fa-caret-down text-blue'></span></a>"+
		"								<a href='javascript:void(0);' data-card-action='actionToogle' class='dropdown-toggle' ></a>"+
		"							</li>"+
		"						</ul>"+
		"						<div style='clear:both'></div>"+
		/*"						<ul class='nav nav-list pull-right card-icons' style='display:none;'>"+
		"							<li>"+
		"								<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='gostei'><span class='fa fa-thumbs-o-up text-blue'></span><span style='font-size:10pt' data-contador='gostei'>0</span></a>"+
		"							</li>"+					
		"							<li>"+
		"								<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='naoGostei'><span class='fa fa-thumbs-o-down text-blue'></span><span style='font-size:10pt' data-contador='naoGostei'>0</span></a>"+
		"							</li>"+					
		"							<li>"+						
		"								<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='comentarios'><span class='fa fa-comment-o text-blue'></span><span style='font-size:10pt'>0</span></a>"+
		"							</li>"+
		"							<li>"+
		"								<a href='javascript:void(0)' data-card-action='trofeu'><span class='fa fa-trophy text-blue'></span>&nbsp;</a>"+
		"							</li>"+
		"						</ul>"+*/	
		"					</div>"+
		"					<div class='card-action card-action-excluir' data-card-section='excluir' style='display:none;'>"+
		"						<ul class='nav nav-list pull-right card-icons' data-card-section='excluir' style='display:none;'>"+
		"							<li>"+						
		"								<a href='javascript:void(0);' data-card-action='excluir'><span class='fa fa-trash text-blue'></span></a>"+
		"							</li>"+	
		"						</ul>"+
		"					</div>"+
		"				</div>"+
		"			</div>");
		
		html.find(".card-img").append(modulos.imagem);
		html.find(".card-img").append(modulos.shareLoader);
		
		if(PLATAFORMA.wp8){
			html.find("[data-card-section='whatsapp']").css("display", "none");
			html.find("[data-card-section='socialsharing']").css("display", "none");
			html.find("[data-card-section='save']").css("display", "block");
		}
		
		if(objImagem.gif_capa){
			html.find(".card-img").append(modulos.gifSimbolo).append("<div style='position:absolute;bottom:4px;left:0;background-color:rgba(0, 0, 0, 0.5);width:100%;color:#fff;padding:5px;font-size:0.8em;'>"+ objImagem.texto +"</div>");
			html.find("[data-card-section='whatsapp']").empty().append("<a href='javascript:void(0);' data-card-action='facebook'><span class='fa fa-facebook text-blue'></span></a>");
			
			if(PLATAFORMA.wp8)
				html.find("[data-card-section='whatsapp']").css("display", "block");
		}
		
		if(TIMELINE.categoria == "conta" ){
			var status= Locale.ativo["str088"];
			var icon= "fa fa-ban";
			switch(objImagem.status){
				case "0":
					status= Locale.ativo["str087"];
					icon= "fa fa-clock-o";
					break;
				case "1":
					status= Locale.ativo["str086"];
					icon= "fa fa-check";
					break;
				case "2":
					status= Locale.ativo["str088"];
					icon= "fa fa-ban";
					html.find("[data-card-section='excluir']").css("display", "block");
					break;
				case "3":
					icon= "fa fa-check";
					status= Locale.ativo["str089"];					
					break;
				default:
					break;
			}
			
			html.find(".card-img").append("<div style='position:absolute;top:0px;left:0;background-color:rgba(0, 0, 0, 0.8);width:100%;color:#fff;padding:5px;font-size:1em;text-align:center;'><span class='"+ icon +"'></span>&nbsp;&nbsp;&nbsp;"+ status +"</div>");
		}
		
		html.find("[data-card-section='countShare']").append(modulos.countShare);
		html.find("[data-card-action='favorito']").append(modulos.coracao);
		html.find("[data-card-action='actionToogle']").append(modulos.actionToogle);
		html.find(".card-action-container").append(modulos.hiddenAction);
		html.find("[data-card-section='gostei'] a").append(modulos.gostei).append(modulos.countGostei);
		html.find("[data-card-section='naoGostei'] a").append(modulos.naoGostei).append(modulos.countNaoGostei);
		
		if(objImagem.gostei){
			modulos.countGostei.html(objImagem.gostei);
		}
		
		if(objImagem.naoGostei){
			modulos.countNaoGostei.html(objImagem.naoGostei);
		}
		
		// favorito do usuario
		if(Favorito.isFavorite(objImagem.id)){
			modulos.coracao.removeClass("text-blue fa-heart-o").addClass("text-red fa-heart");
		}
		
		//Usuario curtiu
		var cur= CURTIR.curtiu(objImagem.id);
		if(cur){
			if(cur == "curtiu"){
				modulos.gostei.removeClass("text-blue fa-thumbs-o-up").addClass("text-green fa-thumbs-up");
			}else{
				modulos.naoGostei.removeClass("text-blue fa-thumbs-o-down").addClass("text-red fa-thumbs-down");;
			}
		}
		
		var img= new Image();
		img.src= objImagem.caminho;
		img.onload= function(){
			modulos.imagem.attr("src", objImagem.caminho);
			
			if(objImagem.status == "1"){
				html.find(".card-action-container").css("display", "block");
			}else if((objImagem.status == "2" || objImagem.status == "4") && TIMELINE.categoria == "conta" ){
				html.find(".card-action-container").remove();
				html.find(".card-action-excluir").css("display", "block");
			}else{
				html.find(".card-action-container").remove();
			}
		}
		img.complete= function(){
			modulos.imagem.attr("src", objImagem.caminho);
			
			if(objImagem.status == "1")
				html.find(".card-action").css("display", "block");
			else
				html.find(".card-action").remove();
		}
		
		this.cards.push(
			{
				id: id,
				html: html,
				modulos: modulos,
				jsonImagem: objImagem,
				imagem: img
			}
		);
		
		return html;
		
		/*<div class='card'>
			<div class='card-main'>			
				<div class='card-img'>				
					<img alt='Erro ao carregar a imagem' class='imgExibicao' src='http://www.zueirassemlimites.com/zueiras/imagens/ad391549090323ca80ed5fa64cd1cfe8.jpg'>				
					<img class='base64' style='display:none' src='data:image/png;base64,'>				
					<div class='card-gostei'></div>			
				</div>			
				<div class='card-action' style='display: block;'>				
					<ul class='nav nav-list'>					
						<li>
							<div class='card-action-texto'>Compartilhamentos: <span class='contShareZueira'>284</span>
								<div></div>
							</div>
						</li>
					</ul>
					<ul class='nav nav-list pull-right card-icons'>
						<li>						
							<a href='javascript:void(0);' data-card-action='shareWhatsApp'><span class='fa fa-whatsapp text-blue'></span></a>					
						</li>					
						<li>						
							<a href='javascript:void(0);' data-card-action='favorito'><span class='fa fa-heart-o text-blue'></span></a>					
						</li>					
						<li>
							<a href='javascript:void(0);' data-card-action='bloquear'><span class='fa fa-ban text-blue'></span></a>
						</li>					
						<li>						
							<a href='javascript:void(0);' data-card-action='shareSocial'><span class='fa fa-share-square-o text-blue'></span></a>					
						</li>					
						<li class='dropdown'>
							<a href='javascript:void(0);' data-card-action='actionToogle' class='dropdown-toggle' ><span class='fa fa-caret-down text-blue'></span></a>					
						</li>
					</ul>
					<div style='clear:both'></div>
					<ul class='nav nav-list pull-right card-icons' style='display:none;'>					
						<li>
							<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='gostei'><span class='fa fa-thumbs-o-up text-blue'></span><span style='font-size:10pt' data-contador='gostei'>0</span></a>					
						</li>					
						<li>
							<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='naoGostei'><span class='fa fa-thumbs-o-down text-blue'></span><span style='font-size:10pt' data-contador='naoGostei'>0</span></a>					
						</li>					
						<li>						
							<a href='javascript:void(0);' style='padding:12px 10px' data-card-action='comentarios'><span class='fa fa-comment-o text-blue'></span><span style='font-size:10pt'>0</span></a>					
						</li>
						<li>
							<a href='javascript:void(0)' data-card-action='trofeu'><span class='fa fa-trophy text-blue'></span>&nbsp;</a>
						</li>
					</ul>			
				</div>		
			</div>	
		</div>*/	
	};

	obj.construirBloqueadas= function(objImagem){		
		var that= this;
	
		var id= Date.now()+""+cardId;
		cardId++;
		
		var modulos= {
			imagem : $("<img alt='Erro ao carregar a imagem' class='imgExibicao' src='img/img-loader.png'>"),
		};

		var html= $("<div class='card' id='"+ id +"'>"+
		"				<div class='card-main'>"+		
		"					<div class='card-img'></div>"+
		"					<div class='card-action' style='display: block;'>"+
		"						<ul class='nav nav-list pull-right card-icons'>"+				
		"							<li>"+
		"								<a href='javascript:void(0);' data-card-action='desbloquear'><span class='fa fa-ban text-red'></span></a>"+
		"							</li>"+					
		"						</ul>"+
		"						<div style='clear:both'></div>"+	
		"					</div>"+
		"				</div>"+
		"			</div>");
		
		html.find(".card-img").append(modulos.imagem);	
		
		var img= new Image();
		img.src= objImagem.caminho;
		img.onload= function(){
			modulos.imagem.attr("src", objImagem.caminho);
			html.find(".card-action").css("display", "block");
		}
		img.complete= function(){
			modulos.imagem.attr("src", objImagem.caminho);
			html.find(".card-action").css("display", "block");
		}
		
		this.cards.push(
			{
				id: id,
				html: html,
				modulos: modulos,
				jsonImagem: objImagem,
				imagem: img
			}
		);
		
		return html;	
	};
	
	obj.checkCurtidas= function(){
		for(var i= 0; i < obj.cards.length; i++){
			//Usuario curtiu
			var cur= CURTIR.curtiu(obj.cards[i].objImagem.id);
			if(cur){
				if(cur == "curtiu"){
					modulos.gostei.removeClass("text-blue fa-thumbs-o-up").addClass("text-green fa-thumbs-up");
					console.log("curtiu");
				}else{
					console.log("nao curtiu");
					modulos.naoGostei.removeClass("text-blue fa-thumbs-o-down").addClass("text-red fa-thumbs-down");;
				}
			}
			console.log("nem sim nem nao");
		}
	}
	
	obj.ajax= null;
	
	init();
 
    return obj;
}(Usuario, Favorito, Locale, PLAYER, AppConfig, CURTIR));