var ContaTipos= {
	EMAIL: "simples",
	FACEBOOK: "facebook",
	GOOGLE: "gplus",
	TWITTER: "twitter"
}

var Conta= {
	id: null,
	uuid: null,
	nome: null,
	nickname: null,
	email: null,
	email_verificado: null,
	tipo_cadastro: null,
	plataforma: null,
	avatar: null,
	logou: false,
	ajax: null,
	
	setStorage: function(){
		var obj= {
			id: this.id,
			nome: this.nome,
			nickname: this.nickname,
			email: this.email,
			email_verificado: this.email_verificado,
			tipo_cadastro: this.tipo_cadastro,
			plataforma: this.plataforma,
			avatar: this.avatar,
			logou: this.logou
		};
		
		localStorage.conta= JSON.stringify(obj);
	},
	
	getStorage: function(){
		
		if(localStorage.conta){
			var obj= JSON.parse(localStorage.conta);
			
			this.id= obj.id;
			this.nome= obj.nome;
			this.nickname= obj.nickname;
			this.email= obj.email;
			this.email_verificado= obj.email_verificado;
			this.tipo_cadastro= obj.tipo_cadastro;
			this.plataforma= obj.plataforma;
			this.avatar= obj.avatar;
			this.logou= obj.logou;
		}else{
			this.registrarUuid();
		}
	},
	
	isEmail: function(email){
		var er = /^[a-zA-Z0-9][a-zA-Z0-9\._-]+@([a-zA-Z0-9\._-]+\.)[a-zA-Z-0-9]{2}/; 
		if( er.exec(email) ){
			return true;
		}
		return false;
	},
	
	facebookConnect: function(){
		var that= this;
		
		$('#modal-loader').modal('toggle');
		
		FacebookInAppBrowser.login({
			send: function() {
				console.log('login opened');
			},
			success: function(access_token) {
				console.log('done, access token: ' + access_token);
			},
			denied: function() {
				console.log('user denied');
			},
			timeout: function(){
				console.log('a timeout has occurred, probably a bad internet connection');
			},
			complete: function(access_token) {
				console.log('window closed');
				if(access_token) {
					console.log(access_token);
				} else {
					console.log('no access token');
				}
				
				$('#modal-loader').modal('toggle');
			},
			userInfo: function(userInfo) {
				if(userInfo) {
					console.log(JSON.stringify(userInfo));
					that.tipo_cadastro= ContaTipos.facebook;
					that.email= userInfo.status;
					that.nome= userInfo.name;
					
					that.cadastrar();
				} else {
					console.log('no user info');
				}
			}
		});
	},

	facebookLogin: function(){
		var that= this;
		
		$('#modal-loader').modal('toggle');
		
		FacebookInAppBrowser.login({
			send: function() {
				console.log('login opened');
			},
			success: function(access_token) {
				console.log('done, access token: ' + access_token);
			},
			denied: function() {
				console.log('user denied');
			},
			timeout: function(){
				console.log('a timeout has occurred, probably a bad internet connection');
			},
			complete: function(access_token) {
				console.log('window closed');
				if(access_token) {
					console.log(access_token);
				} else {
					console.log('no access token');
				}
				
				$('#modal-loader').modal('toggle');
			},
			userInfo: function(userInfo) {
				if(userInfo) {
					that.loginSemEmail();
				} else {
					console.log('no user info');
				}
			}
		});
	},
	
	
	emailConnect: function(){
		var email= $.trim($("#cadastro-email").val());
		var senha= $.trim($("#cadastro-senha").val());
		
		if(!this.isEmail(email)){
			$("#modal-notificacoes-texto").html(Locale.ativo["str095"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
		
		if(!senha || senha.length < 3){
			$("#modal-notificacoes-texto").html(Locale.ativo["str096"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
		
		this.email= email;
		this.senha= senha;
		this.tipo_cadastro= ContaTipos.EMAIL;
		
		this.cadastrar();
	},
	
	cadastrar: function() {
        var that = this;		
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/zueiras/ZueiraPHP/conta.php",
            //parametros  enviados
            data: {
                acao: "cadastrar",
                uuid: this.uuid,
                nome: this.nome,
                email: this.email,
                tipoCadastro: this.tipo_cadastro,
                senha: this.senha,
                plataforma: this.plataforma
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            if(respostaJSON){
				if(respostaJSON.ok){
					$("#modal-notificacoes-texto").html(Locale.ativo["str056"]);
					$("#modal-notificacoes").modal("show");
					
					that.logou= true;
					that.setStorage();
					that.perfil();
					Paginas.fecharPagina();
					Paginas.abrirPaginaNaMaoPorId("#paginaPerfil");
				}else{
					var erro= respostaJSON.msg[0].erro[1];
					// uuid já cadastrado
					if(erro == 1062){
						$("#modal-notificacoes-texto").html(Locale.ativo["str085"]);
						$("#modal-notificacoes").modal("show");
					}else if(respostaJSON.msg[0].erro == "1"){ // email já cadastrado
						$("#modal-notificacoes-texto").html(Locale.ativo["str108"]);
						$("#modal-notificacoes").modal("show");
					}else if(respostaJSON.msg[0].erro == "2"){ // uuid já cadastrado
						$("#modal-notificacoes-texto").html(Locale.ativo["str118"]);
						$("#modal-notificacoes").modal("show");
					}
					
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	registrarUuid: function() {
        var that = this;		
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/contaRegistrarUuid.php",
            //parametros  enviados
            data: {
                uuid: this.uuid,
                plataforma: this.plataforma
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            if(respostaJSON){
				if(respostaJSON.ok){
					$("#modal-notificacoes-texto").html(Locale.ativo["str056"]);
					$("#modal-notificacoes").modal("show");
					
					that.id= respostaJSON.dados.id;					
					that.setStorage();
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	
	login: function() {		
		var email= $.trim($("#login-email").val());
		var senha= $.trim($("#login-senha").val());
		
		if(!email){
			alert("Informe o E-mail!");
			return false;
		}
		
		if(!senha){
			alert("Informe a Senha!");
			return false;
		}
		
		$('#modal-loader').modal('toggle');
		
        var that = this;
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/zueiras/ZueiraPHP/conta.php",
            //parametros  enviados
            data: {
                acao: "login",
                email: email,
                senha: senha
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            $('#modal-loader').modal('toggle');
			if(respostaJSON){
				if(respostaJSON.ok){
					dados= respostaJSON.dados;
					
					if(dados.login){
						var conta= dados.conta;
						
						that.avatar= conta.avatar;
						that.email= conta.email;
						that.email_verificado= conta.email_verificado;
						that.nickname= conta.nickname;
						that.nome= conta.nome;
						that.tipo_cadastro= conta.tipo_cadastro;
						that.logou= true;
						that.setStorage();
						
						that.perfil();
						Paginas.fecharPagina();
					}else{
						$("#modal-notificacoes-texto").html(Locale.ativo["str094"]);
						$("#modal-notificacoes").modal("show");
					}
				}else{
					$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
					$("#modal-notificacoes").modal("show");
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            $('#modal-loader').modal('toggle');
			// se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
			
			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	loginSemEmail: function() {				
        var that = this;
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/zueiras/ZueiraPHP/conta.php",
            //parametros  enviados
            data: {
                acao: "loginSemEmail",
                email: uuid
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            $('#modal-loader').modal('toggle');
			if(respostaJSON){
				if(respostaJSON.ok){
					dados= respostaJSON.dados;
					
					if(dados.login){
						var conta= dados.conta;
						
						that.avatar= conta.avatar;
						that.email= conta.email;
						that.email_verificado= conta.email_verificado;
						that.nickname= conta.nickname;
						that.nome= conta.nome;
						that.tipo_cadastro= conta.tipo_cadastro;
						that.logou= true;
						that.setStorage();
						
						that.perfil();
						Paginas.fecharPagina();
					}else{
						$("#modal-notificacoes-texto").html(Locale.ativo["str119"]);
						$("#modal-notificacoes").modal("show");
						
						Paginas.abrirPaginaNaMaoPorId("#paginaCadastro");
					}
				}else{
					$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
					$("#modal-notificacoes").modal("show");
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            $('#modal-loader').modal('toggle');
			// se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
			
			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	
	esqueciMinhaSenha: function() {
        var that = this;
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "GET",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/zueiras/ZueiraPHP/conta.php",
            //parametros  enviados
            data: {
                acao: "esqueciMinhaSenha",
                uuid: this.uuid
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            if(respostaJSON){
				if(respostaJSON.ok){
					$("#modal-notificacoes-texto").html(Locale.ativo["str056"]);
					$("#modal-notificacoes").modal("show");
					var dados= respostaJSON.dados;
					if(dados.email){
						var emailSplit= dados.email.split("@");
						emailSplit[0]= emailSplit[0].slice(0, 5)+"***"; 
						emailSplit[1]= emailSplit[1].slice(0, 5)+"***"; 
						//$("#modal-notificacoes-texto").html(Locale.ativo["str087"] +" ["+ emailSplit[0] +"@"+ emailSplit[1] +"].");
						$("#modal-notificacoes-texto").html(Locale.ativo["str087"] +" ["+ emailSplit[0] +"@"+ emailSplit[1] +"].");
						$("#modal-notificacoes").modal("show");
					}else{
						$("#modal-notificacoes-texto").html(Locale.ativo["str088"]);
						$("#modal-notificacoes").modal("show");
					}
					
				}else{
					$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
					$("#modal-notificacoes").modal("show");					
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	perfil: function(){
		$("#perfil-alterarSenha").css("display", "none");
		$("#perfil-ContainerAlterarSenha").css("display", "none");
		$("#perfil-criarConta").css("display", "none");
		
		if(this.tipo_cadastro == ContaTipos.EMAIL){
			$("#perfil-tipoDeConta").html("E-MAIL");
			$("#perfil-alterarSenha").css("display", "block");
			$("#perfil-ContainerAlterarSenha").css("display", "block");
		}else if(this.tipo_cadastro == ContaTipos.FACEBOOK){
			$("#perfil-tipoDeConta").html("FACEBOOK");
		}else if(this.tipo_cadastro == ContaTipos.GOOGLE){
			$("#perfil-tipoDeConta").html("GOOGLE PLUS");
		}else if(this.tipo_cadastro == ContaTipos.TWITTER){
			$("#perfil-tipoDeConta").html("Twitter");
		}else{
			$("#perfil-tipoDeConta").html("----");
		}
		
		$("#perfil-login").css("display", "none");
		$("#perfil-logout").css("display", "none");
		if(this.logou){
			$("#perfil-logout").css("display", "block");			
		}else{
			$("#perfil-login").css("display", "block");
		}
		
		$("#perfil-emailVerificado").css("display", "none");
		$("#perfil-containerVerificarEmail").css("display", "none");
		$("#perfil-verificarEmail").css("display", "none");
		if(this.email){	
			$("#perfil-email").val(this.email).attr("disabled", "disabled");
			$("#perfil-emailVerificado").html(Locale.ativo["str100"]);
			
			if(this.email_verificado == 1){
				$("#perfil-emailVerificado").html(Locale.ativo["str099"]);				
			}else{
				$("#perfil-verificarEmail").css("display", "block");
				$("#perfil-email").removeAttr("disabled");
			}
			
			$("#perfil-emailVerificado").css("display", "block");
			$("#perfil-containerVerificarEmail").css("display", "block");
		}
		
		$("#perfil-nome").val(this.nome);
		$("#perfil-nickname").val(this.nickname);
	},
	
	logout: function(){
		this.avatar= "";
		this.email= "";
		this.email_verificado= 0;
		this.nickname= "";
		this.nome= "";
		this.tipo_cadastro= "";
		this.logou= false;
		this.setStorage();
	},
	
	verificarEmail: function() {			
		if(this.email_verificado == 1){
			$("#modal-notificacoes-texto").html(Locale.ativo["str117"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
		
		if(!this.email){
			$("#modal-notificacoes-texto").html(Locale.ativo["str088"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
			
		$('#modal-loader').modal('toggle');
		
        var that = this;
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/zueiras/ZueiraPHP/conta.php",
            //parametros  enviados
            data: {
                acao: "solicitarVerificacaoDeEmail",
                uuid: this.uuid
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            $('#modal-loader').modal('toggle');
			
			if(respostaJSON){
				if(respostaJSON.ok){
					$("#modal-notificacoes-texto").html(Locale.ativo["str087"]);
					$("#modal-notificacoes").modal("show");
				}else{
					var erro= respostaJSON.msg[0].erro[1];
					// uuid já cadastrado
					if(erro == "email-verificado"){
						$("#modal-notificacoes-texto").html(Locale.ativo["str117"]);
						$("#modal-notificacoes").modal("show");
						
						that.email_verificado= 1;
						that.setStorage();
						that.perfil();
					}else{
						$("#modal-notificacoes-texto").html(Locale.ativo["str084"]);
						$("#modal-notificacoes").modal("show");
					}
					
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            $('#modal-loader').modal('toggle');
			// se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
			
			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	salvarPerfil: function() {
        var that = this;		
		
		var email= $.trim($("#perfil-email").val());
		var nome= $.trim($("#perfil-nome").val());
		var nickname= $.trim($("#perfil-nickname").val());
		
		if(this.email_verificado == 0){
			if(!this.isEmail(email)){
				$("#modal-notificacoes-texto").html(Locale.ativo["str095"]);
				$("#modal-notificacoes").modal("show");
				return false;
			}	
		}else{
			email= "";
		}
		
		if(!nome){
			$("#modal-notificacoes-texto").html(Locale.ativo["str106"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
		
		if(!nickname){
			$("#modal-notificacoes-texto").html(Locale.ativo["str107"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
		
		$('#modal-loader').modal('toggle');
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/zueiras/ZueiraPHP/conta.php",
            //parametros  enviados
            data: {
                acao: "salvarPerfil",
                uuid: this.uuid,
                nome: nome,
                email: email,
                nickname: nickname
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            $('#modal-loader').modal('toggle');
			if(respostaJSON){
				if(respostaJSON.ok){
					that.nome= nome;
					that.email= email;
					that.nickname= nickname;
					that.setStorage();
					that.perfil();
					
					$("#modal-notificacoes-texto").html(Locale.ativo["str056"]);
					$("#modal-notificacoes").modal("show");
				}else{
					var erro= respostaJSON.msg[0].erro;
					// uuid já cadastrado
					if(erro == 1){
						$("#modal-notificacoes-texto").html(Locale.ativo["str108"]);
						$("#modal-notificacoes").modal("show");
					}else if(erro == 2){
						$("#modal-notificacoes-texto").html(Locale.ativo["str109"]);
						$("#modal-notificacoes").modal("show");	
					}else{
						$("#modal-notificacoes-texto").html(Locale.ativo["str084"]);
						$("#modal-notificacoes").modal("show");
					}
					
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
			$('#modal-loader').modal('toggle');
			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	alterarSenha: function() {
        var that = this;		
		
		var senhaAtual= $.trim($("#perfil-senhaAtual").val());
		var novaSenha= $.trim($("#perfil-novaSenha").val());
		
		if(this.tipo_cadastro != ContaTipos.EMAIL){
			$("#modal-notificacoes-texto").html(Locale.ativo["str115"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}

		if(!senhaAtual || senhaAtual.length < 3){
			$("#modal-notificacoes-texto").html(Locale.ativo["str113"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
		if(!novaSenha || novaSenha.length < 3){
			$("#modal-notificacoes-texto").html(Locale.ativo["str114"]);
			$("#modal-notificacoes").modal("show");
			return false;
		}
				
		$('#modal-loader').modal('toggle');
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/zueiras/ZueiraPHP/conta.php",
            //parametros  enviados
            data: {
                acao: "alterarSenha",
                uuid: this.uuid,
                senha: senhaAtual,
                novaSenha: novaSenha
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            $('#modal-loader').modal('toggle');
			if(respostaJSON){
				if(respostaJSON.ok){
					$("#modal-notificacoes-texto").html(Locale.ativo["str056"]);
					$("#modal-notificacoes").modal("show");
				}else{
					var erro= respostaJSON.msg[0].erro[1];
					// uuid já cadastrado
					if(erro == "h01"){
						$("#modal-notificacoes-texto").html(Locale.ativo["str116"]);
						$("#modal-notificacoes").modal("show");
					}else{
						$("#modal-notificacoes-texto").html(Locale.ativo["str084"]);
						$("#modal-notificacoes").modal("show");
					}
					
				}
			}else{
				$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
				$("#modal-notificacoes").modal("show");
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
			$('#modal-loader').modal('toggle');
			$("#modal-notificacoes-texto").html(Locale.ativo["str029"]);
			$("#modal-notificacoes").modal("show");
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

		$("#perfil-senhaAtual").val("");
		$("#perfil-novaSenha").val("");
		
        return false;
    },
	
	converterCurtidasAntigasEmNovas: function(contaId, usuarioId){		
		if (!PLATAFORMA.isOnline()) {
	        navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
	        return;
	    }

        var ajax= $.ajax({
            method: "POST",
                url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/converterMinhasZueirasAntigasParaNova.php",
                data: {
					conta: contaId,
					usuario: usuarioId
                },
                dataType: "json"
            });
        ajax.done(function(respostaJSON){
			if(respostaJSON.ok){
				//localStorage.removeItem("usuario");
			}
		});
        ajax.fail(function(){});
        ajax.always(function(){});
        return false;
	},
	
	
	init: function(){
		this.plataforma= "android";
		this.uuid= "heberth";

		if(PLATAFORMA.cordova){
			this.uuid= device.uuid;
			
			// Configuração do plugin do facebook
			/*FacebookInAppBrowser.settings.appId = '704006153078589';
			FacebookInAppBrowser.settings.redirectUrl = 'http://www.zueirassemlimites.com/';
			FacebookInAppBrowser.settings.permissions = 'email';*/
		}
		
		if(PLATAFORMA.ios){
			this.plataforma= "ios";
		}else if(PLATAFORMA.wp8){
			this.plataforma= "wp8";
		}
		
		if(localStorage.conta){
			this.getStorage();
			CURTIR.getStorage(this.id);
			/*if(this.logou){
				console.log("logado");
			}else{
				Paginas.abrirPaginaNaMaoPorId('#paginaLogin');
			}
			
			this.perfil();*/
		}else{
			//Paginas.abrirPaginaNaMaoPorId('#paginaCadastro');
			this.registrarUuid();	
		}
		
		if(localStorage.usuario){
			var usuario= JSON.parse(localStorage.usuario);
			CURTIR.getCurtidasAntigas(usuario.id);
			this.converterCurtidasAntigasEmNovas(this.id, usuario.id);
			localStorage.removeItem("usuario");
		}
	}
	
};