var TIMELINE= (function(Locale, PLATAFORMA, CacheStorage, Util, CARD, Paginas, SPLASH_DICAS) {
    var obj= {};
	var lines= new Array();
	var timerEsconder= null;
	var timerExibir= null;
	
	
	obj.categoria= "home";
	obj.abaAnterior= "novo";
	obj.aba= "novo";
	obj.query= "";
	obj.limit= 30;
	obj.acabou= false;
	obj.ajax= null;
	obj.imagensCarregadas= false;
	obj.lang= "pt-br";
	
	// private
	
	function interacao(){
		$("#botaoMaisZueira").on("click", function(){
			
			// verifica se é pra carregar mais imagens de paginas como favoritos ou das categorias
			if(Paginas.ativo){
				// alguma pagina aberta
				
			}else{
				// paginas fechadas
				SPLASH_DICAS.exibir();
				if(obj.categoria == "conta"){
					obj.getImagensConta();
				}else{					
					obj.getImagensCategoria();
				}	
				exibeAds();
				esconderBotaoMaisZueiras();
			}
		});
	}
	
	function createTimeline(id){
		lines.push(
			{
				name: id, 
				html: $("[data-timeline='"+ id +"']"), 
				cards: new Array(), 
				index: -1, 
				addCard: function(card){
					this.cards.push({id: card.id(), html: card});
					this.html.append("<div data-timeline-card-id='"+ card.id() +"'></div>");
				}
			}
		);
	}
	
	function getTimeline(lineName){
		for(var i= 0; i < lines.length; i++){
			if(lines[i].name == lineName){
				return lines[i];
			}
		}	
	}
	
	function init(){
		if(localStorage.zueiraLang)
		obj.lang= localStorage.zueiraLang;
	
		interacao();
		
		createTimeline("novo");
		createTimeline("popular");
		createTimeline("sorte");
		createTimeline("melhores");
		createTimeline("conta");
		createTimeline("favoritos");
		createTimeline("bloqueadas");
		createTimeline("pesquisar");
		createTimeline("topDasTops");
		createTimeline("topDiario");
		createTimeline("topSemanal");
	};
	
	function exibirBotaoMaisZueiras(timeline){
		if(timeline){
			$("[data-timeline='"+ timeline +"'] .botaoMaisZueira").css("display", "block");
		}else{	
			$("#botaoMaisZueira").css("display", "block");
		}	
	};
	
	function esconderBotaoMaisZueiras(){
		$("#botaoMaisZueira").css("display", "none");
	};
	
	function ajaxImagensCategoria(callback){
        Util.exibirLoader("#tab-loader");
		if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		obj.imagensCarregadas= false;
		
		var line= getTimeline(obj.aba);
		var dados= null;
		
		
		var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensPorCategoria.php?categoria="+ obj.categoria +"&aba="+ obj.aba +"&lang="+ TIMELINE.lang +"&inicio="+ line.cards.length +"&limit="+ obj.limit;
		//checa o cache
		if(CacheStorage.isValid(url)){
			dados= CacheStorage.getDados(url);
			
            obj.imagensCarregadas= true;
			Util.removerLoader("#tab-loader");
			if(callback) callback(dados);
			
			fecharSplashDicasComTimer(5000);
			
			return false;
		}
	
		function fecharSplashDicasComTimer(time){
			window.setTimeout(function(){
				SPLASH_DICAS.fechar();
			}, time);	
		}
	
	
        obj.ajax = $.ajax({
            method: "GET",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensPorCategoria.php",
            //parametros  enviados
            data: {
                categoria: obj.categoria,
                aba: obj.aba,
                lang: obj.lang,
                inicio: line.cards.length,
                limit: obj.limit
            },
            //tipo de retorno sera JSON
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        obj.ajax.done(function(respostaJSON) {
            if (respostaJSON.dados.length > 0) {
                dados = respostaJSON.dados;
                
                obj.imagensCarregadas= true;		
				
				// salva no cache local
				CacheStorage.addCache("Imagens-"+ obj.categoria +"-"+ obj.aba +"-"+ Locale.lang +"-"+ line.cards.length +"-"+ obj.limit, url, 5 * CacheStorage._MINUTO, dados);
				Util.removerLoader("#tab-loader");
				if(callback) callback(dados);
            } else {
                //erros
                obj.acabou = true;
				
				/*if(that.imagens.length == 0){ // a busca não retornou zueiras
					$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				}else{ // já exibiu todas as zueiras para categoria
					$("#modal-notificacoes-texto").html(Locale.ativo["str045"]);	
				}
				$("#modal-notificacoes").modal("show");*/
            }

            obj.ajax = null;
        });
        //caso haja erro no ajax
        obj.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

            if(PLATAFORMA.cordova) navigator.notification.alert(Locale.ativo["str029"] + "///imagens///", null, Locale.ativo["str028"]);
            console.log("ajaxFail: Imagens.getImages");

            obj.ajax = null;
        });

        obj.ajax.always(function() {
            obj.ajax = null;
			fecharSplashDicasComTimer(3000);
        });
		
		return false;
    };
	
	function ajaxImagensPesquisa(callback){
        Util.exibirLoader("#tab-loader");
		if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		obj.imagensCarregadas= false;
		
		var line= getTimeline(obj.aba);
		var dados= null;
		
		
		var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensPorPesquisa.php?query="+ obj.query +"&lang="+ TIMELINE.lang +"&inicio="+ line.cards.length +"&limit="+ obj.limit;
		//checa o cache
		if(CacheStorage.isValid(url)){
			dados= CacheStorage.getDados(url);
			
            obj.imagensCarregadas= true;
			Util.removerLoader("#tab-loader");
			if(callback) callback(dados);
			
			fecharSplashDicasComTimer(5000);
			
			return false;
		}
	
		window.analytics.trackEvent('Pesquisar', 'Pesquisar', 'Pesquisar', obj.query);
	
        obj.ajax = $.ajax({
            method: "GET",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensPorPesquisa.php",
            //parametros  enviados
            data: {
                query: obj.query,
                lang: obj.lang,
                inicio: line.cards.length,
                limit: obj.limit
            },
            //tipo de retorno sera JSON
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        obj.ajax.done(function(respostaJSON) {
            if (respostaJSON.dados.length > 0) {
                dados = respostaJSON.dados;
                
                obj.imagensCarregadas= true;		
				
				// salva no cache local
				CacheStorage.addCache("Imagens-"+ obj.query +"-"+ Locale.lang +"-"+ line.cards.length +"-"+ obj.limit, url, 60 * CacheStorage._MINUTO, dados);
				Util.removerLoader("#tab-loader");
				if(callback) callback(dados);
            } else {
                //erros
                obj.acabou = true;
				
				/*if(that.imagens.length == 0){ // a busca não retornou zueiras
					$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				}else{ // já exibiu todas as zueiras para categoria
					$("#modal-notificacoes-texto").html(Locale.ativo["str045"]);	
				}
				$("#modal-notificacoes").modal("show");*/
            }

            obj.ajax = null;
        });
        //caso haja erro no ajax
        obj.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

            if(PLATAFORMA.cordova) navigator.notification.alert(Locale.ativo["str029"] + "///imagens///", null, Locale.ativo["str028"]);
            console.log("ajaxFail: Imagens.getImages");

            obj.ajax = null;
        });

        obj.ajax.always(function() {
            obj.ajax = null;
			fecharSplashDicasComTimer(3000);
        });
		
		return false;
    };
	
	function ajaxImagensConta(callback){
        Util.exibirLoader("#tab-loader");
		if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		obj.imagensCarregadas= false;
		
		var line= getTimeline(obj.aba);
		var dados= null;
		
		
		var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensPorCategoria.php?conta="+ Conta.id +"&aba="+ obj.aba +"&inicio="+ line.cards.length +"&limit="+ obj.limit;
		//checa o cache
		if(CacheStorage.isValid(url)){
			dados= CacheStorage.getDados(url);
			
            obj.imagensCarregadas= true;
			Util.removerLoader("#tab-loader");
			if(callback) callback(dados);
			
			fecharSplashDicasComTimer(5000);
			
			return false;
		}
	
		function fecharSplashDicasComTimer(time){
			window.setTimeout(function(){
				SPLASH_DICAS.fechar();
			}, time);	
		}
	
		if(obj.ajax){
			obj.ajax.abort();
            obj.ajax = null;
		}
	
        obj.ajax = $.ajax({
            method: "GET",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensPorConta.php",
            //parametros  enviados
            data: {
                conta: Conta.id,
                aba: obj.aba,
                inicio: line.cards.length,
                limit: obj.limit
            },
            //tipo de retorno sera JSON
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        obj.ajax.done(function(respostaJSON) {
            if (respostaJSON.dados.length > 0) {
                dados = respostaJSON.dados;
                
                obj.imagensCarregadas= true;		
				
				// salva no cache local
				CacheStorage.addCache("Imagens-Conta-"+ Conta.id +"-"+ obj.aba +"-"+ line.cards.length +"-"+ obj.limit, url, 5 * CacheStorage._MINUTO, dados);
				Util.removerLoader("#tab-loader");
				if(callback) callback(dados);
            } else {
                //erros
                obj.acabou = true;
				$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				$("#modal-notificacoes").modal("show");
				Util.removerLoader("#tab-loader");
            }

            obj.ajax = null;
        });
        //caso haja erro no ajax
        obj.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

            if(PLATAFORMA.cordova) navigator.notification.alert(Locale.ativo["str029"] + "///imagens///", null, Locale.ativo["str028"]);
            console.log("ajaxFail: Imagens.getImages");

            obj.ajax = null;
        });

        obj.ajax.always(function() {
            obj.ajax = null;
			fecharSplashDicasComTimer(3000);
        });
		
		return false;
    };
	
	
	function ajaxImagensTopDasTops(callback){
        Util.exibirLoader("#tab-loader");
		if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		obj.imagensCarregadas= false;
		
		var line= getTimeline(obj.aba);
		var dados= null;
		
		
		var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensTopDasTops.php";
		//checa o cache
		if(CacheStorage.isValid(url)){
			dados= CacheStorage.getDados(url);
			
            obj.imagensCarregadas= true;
			Util.removerLoader("#tab-loader");
			if(callback) callback(dados);
			
			fecharSplashDicasComTimer(5000);
			
			return false;
		}
	
        obj.ajax = $.ajax({
            method: "GET",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensTopDasTops.php",
            //parametros  enviados
            data: {},
            //tipo de retorno sera JSON
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        obj.ajax.done(function(respostaJSON) {
            if (respostaJSON.dados.length > 0) {
                dados = respostaJSON.dados;
                
                obj.imagensCarregadas= true;		
				
				// salva no cache local
				CacheStorage.addCache("Imagens-TopDasTops", url, 60 * CacheStorage._MINUTO, dados);
				Util.removerLoader("#tab-loader");
				if(callback) callback(dados);
            } else {
                //erros
                obj.acabou = true;
				
				/*if(that.imagens.length == 0){ // a busca não retornou zueiras
					$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				}else{ // já exibiu todas as zueiras para categoria
					$("#modal-notificacoes-texto").html(Locale.ativo["str045"]);	
				}
				$("#modal-notificacoes").modal("show");*/
            }

            obj.ajax = null;
        });
        //caso haja erro no ajax
        obj.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

            if(PLATAFORMA.cordova) navigator.notification.alert(Locale.ativo["str029"] + "///imagens///", null, Locale.ativo["str028"]);
            console.log("ajaxFail: Imagens.getImages");

            obj.ajax = null;
        });

        obj.ajax.always(function() {
            obj.ajax = null;
			fecharSplashDicasComTimer(3000);
        });
		
		return false;
    };
	
	function ajaxImagensTopDoDia(data, callback){
        $("[data-pagina='topDiario'] .loaderGeral").css("display", "block");
		if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		obj.imagensCarregadas= false;
		
		var line= getTimeline(obj.aba);
		var dados= null;
		
		
		var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensTopDoDia.php?data="+ data;
		//checa o cache
		if(CacheStorage.isValid(url)){
			dados= CacheStorage.getDados(url);
			
            obj.imagensCarregadas= true;
			$("[data-pagina='topDiario'] .loaderGeral").css("display", "none");
			if(callback) callback(dados);
			
			fecharSplashDicasComTimer(5000);
			
			return false;
		}
	
        obj.ajax = $.ajax({
            method: "GET",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensTopDoDia.php",
            //parametros  enviados
            data: {
				data: data
			},
            //tipo de retorno sera JSON
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        obj.ajax.done(function(respostaJSON) {
            if (respostaJSON.dados.length > 0) {
                dados = respostaJSON.dados;
                
                obj.imagensCarregadas= true;		
				
				// salva no cache local
				CacheStorage.addCache("Imagens-TopDoDia-"+data, url, 60 * CacheStorage._MINUTO, dados);
				
				if(callback) callback(dados);
            } else {
                //erros
                obj.acabou = true;
				$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				$("#modal-notificacoes").modal("show");
				/*if(that.imagens.length == 0){ // a busca não retornou zueiras
					$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				}else{ // já exibiu todas as zueiras para categoria
					$("#modal-notificacoes-texto").html(Locale.ativo["str045"]);	
				}
				$("#modal-notificacoes").modal("show");*/
            }
			$("[data-pagina='topDiario'] .loaderGeral").css("display", "none");
            obj.ajax = null;
        });
        //caso haja erro no ajax
        obj.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

            if(PLATAFORMA.cordova) navigator.notification.alert(Locale.ativo["str029"] + "///imagens///", null, Locale.ativo["str028"]);
            console.log("ajaxFail: Imagens.getImages");

            obj.ajax = null;
        });

        obj.ajax.always(function() {
            obj.ajax = null;
			fecharSplashDicasComTimer(3000);
        });
		
		return false;
    };

	function ajaxImagensTopDaSemana(data, callback){
        $("[data-pagina='topSemanal'] .loaderGeral").css("display", "block");
		if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }
		obj.imagensCarregadas= false;
		
		var line= getTimeline(obj.aba);
		var dados= null;
		
		
		var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensTopDaSemana.php?data="+ data;
		//checa o cache
		if(CacheStorage.isValid(url)){
			dados= CacheStorage.getDados(url);
			
            obj.imagensCarregadas= true;
			$("[data-pagina='topSemanal'] .loaderGeral").css("display", "none");
			if(callback) callback(dados);
			
			fecharSplashDicasComTimer(5000);
			
			return false;
		}
	
        obj.ajax = $.ajax({
            method: "GET",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/imagensTopDaSemana.php",
            //parametros  enviados
            data: {
				data: data
			},
            //tipo de retorno sera JSON
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        obj.ajax.done(function(respostaJSON) {
            if (respostaJSON.dados.length > 0) {
                dados = respostaJSON.dados;
                
                obj.imagensCarregadas= true;		
				
				// salva no cache local
				CacheStorage.addCache("Imagens-topSemanal-"+data, url, 60 * CacheStorage._MINUTO, dados);
				
				if(callback) callback(dados);
            } else {
                //erros
                obj.acabou = true;
				$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				$("#modal-notificacoes").modal("show");
				/*if(that.imagens.length == 0){ // a busca não retornou zueiras
					$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
				}else{ // já exibiu todas as zueiras para categoria
					$("#modal-notificacoes-texto").html(Locale.ativo["str045"]);	
				}
				$("#modal-notificacoes").modal("show");*/
            }
			$("[data-pagina='topSemanal'] .loaderGeral").css("display", "none");
            obj.ajax = null;
        });
        //caso haja erro no ajax
        obj.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }

            if(PLATAFORMA.cordova) navigator.notification.alert(Locale.ativo["str029"] + "///imagens///", null, Locale.ativo["str028"]);
            console.log("ajaxFail: Imagens.getImages");

            obj.ajax = null;
        });

        obj.ajax.always(function() {
            obj.ajax = null;
			fecharSplashDicasComTimer(3000);
        });
		
		return false;
    };

	
	function fecharSplashDicasComTimer(time){
		window.setTimeout(function(){
			SPLASH_DICAS.fechar();
		}, time);	
	}
	// public
	
	obj.getTimeline= function(lineName){
		for(var i= 0; i < lines.length; i++){
			if(lines[i].name == lineName){
				return lines[i];
			}
		}	
	};
	
	obj.addCard= function(timelineName, card){
		if(!card) return false; // tenho que ver esse bug aqui despois.
		
		var line= getTimeline(timelineName);
		if(line){			
			line.cards.push({id: card[0].id, html: card});
			line.html.append("<div data-timeline-card-id='"+ card[0].id +"'></div>");				
		}
	};
	
	obj.exibirCard= function(lineName, qtd){	
		if(timerExibir) return false;
		
		timerExibir= window.setTimeout(function(){
			console.log("exibir");
			var line= getTimeline(lineName);
		
			if(!line) return false;
			
			for(var i= 0; i < qtd; i++){			
				if(line.cards.length > (line.index + 1) ){
					line.index++;
					line.html.find("[data-timeline-card-id='"+ line.cards[line.index].id +"']").append(line.cards[line.index].html);
					//console.log(line.index);
					//obj.esconderCard(lineName, line.index - 3);
				}else{
					console.log("acabou");
					if(obj.aba == "pesquisar"){
						SPLASH_DICAS.exibir();						
						exibeAds();
						obj.getImagensPesquisa();
					}else{
						exibirBotaoMaisZueiras();
					}	
				}
			}
			
			timerExibir= null;
		}, 500);
	};
	
	obj.getImagensCategoria= function(){
		ajaxImagensCategoria(
			function(imagens){
				var card= new Array();

				if(imagens){
					for(var i= 0; i < imagens.length; i++){
						card.push(CARD.construir(imagens[i]));				
					}
					// por algum motivo a última posição de cards fica vazio as vezes.
					for(var i= 0; i < card.length; i++){
						obj.addCard(obj.aba, card[i]);			
					}
					card= null;
					obj.exibirCard(obj.aba, 10);
				}
			}
		);		
	}
	
	obj.getImagensConta= function(){
		ajaxImagensConta(
			function(imagens){
				var card= new Array();

				if(imagens){
					for(var i= 0; i < imagens.length; i++){
						card.push(CARD.construir(imagens[i]));				
					}
					// por algum motivo a última posição de cards fica vazio as vezes.
					for(var i= 0; i < card.length; i++){
						obj.addCard(obj.aba, card[i]);			
					}
					card= null;
					obj.exibirCard(obj.aba, 10);
				}
			}
		);		
	}
	
	
	obj.getImagensFavoritas= function(){
		Favorito.getFavoritos(function(imagens){
			var card= new Array();
			if(imagens){
				for(var i= 0; i < imagens.length; i++){
					card.push(CARD.construir(imagens[i]));				
				}
				// por algum motivo a última posição de cards fica vazio as vezes.
				for(var i= 0; i < card.length; i++){
					obj.addCard(obj.aba, card[i]);			
				}
				card= null;
				obj.exibirCard(obj.aba, 10);
			}
		});
	}
	
	obj.getImagensPesquisa= function(){
		ajaxImagensPesquisa(
			function(imagens){
				var card= new Array();

				if(imagens){
					for(var i= 0; i < imagens.length; i++){
						card.push(CARD.construir(imagens[i]));				
					}
					// por algum motivo a última posição de cards fica vazio as vezes.
					for(var i= 0; i < card.length; i++){
						obj.addCard(obj.aba, card[i]);			
					}
					card= null;
					obj.exibirCard(obj.aba, 10);
				}
			}
		);		
	}
	
	obj.getImagensTopDasTops= function(){
		ajaxImagensTopDasTops(
			function(imagens){
				var card= new Array();

				if(imagens){
					for(var i= 0; i < imagens.length; i++){
						card.push(CARD.construir(imagens[i]));				
					}
					// por algum motivo a última posição de cards fica vazio as vezes.
					for(var i= 0; i < card.length; i++){
						obj.addCard(obj.aba, card[i]);			
					}
					card= null;
					obj.exibirCard(obj.aba, 10);
				}
			}
		);		
	}
	
	obj.getImagensTopDoDia= function(){
		ajaxImagensTopDoDia(
			Util.retornaDataMySQL(PAINEL_TOP.topDia),
			function(imagens){
				var card= new Array();

				if(imagens){
					for(var i= 0; i < imagens.length; i++){
						card.push(CARD.construir(imagens[i]));				
					}
					// por algum motivo a última posição de cards fica vazio as vezes.
					for(var i= 0; i < card.length; i++){
						obj.addCard(obj.aba, card[i]);			
					}
					card= null;
					obj.exibirCard(obj.aba, 10);
				}
			}
		);		
	}
	
	obj.getImagensTopDaSemana= function(){
		ajaxImagensTopDaSemana(
			Util.retornaDataMySQL(PAINEL_TOP.topSemana),
			function(imagens){
				var card= new Array();

				if(imagens){
					for(var i= 0; i < imagens.length; i++){
						card.push(CARD.construir(imagens[i]));				
					}
					// por algum motivo a última posição de cards fica vazio as vezes.
					for(var i= 0; i < card.length; i++){
						obj.addCard(obj.aba, card[i]);			
					}
					card= null;
					obj.exibirCard(obj.aba, 10);
				}
			}
		);		
	}
	
	obj.getImagensBloqueadas= function(){
		var imagens= Favorito.prepararParaExibir("bloqueadas");
		var card= new Array();
		
		if(imagens){
			for(var i= 0; i < imagens.length; i++){
				card.push(CARD.construirBloqueadas(imagens[i]));				
			}
			// por algum motivo a última posição de cards fica vazio as vezes.
			for(var i= 0; i < card.length; i++){
				obj.addCard(obj.aba, card[i]);			
			}
			card= null;
			obj.exibirCard(obj.aba, 10);
		}	
	}
	
	
	obj.resetarTimeline= function(lineName){
		if(!lineName) lineName= obj.aba;
		
		esconderBotaoMaisZueiras();
		
		var i= 0;
		for(;i < lines.length; i++){
			if(lines[i].name == lineName){
				break;
			}
		}
		
		if(lines[i]){			
			$("[data-timeline='"+ lineName +"']").empty();
			lines[i]= {
				name: lineName, 
				html: $("[data-timeline='"+ lineName +"']"),
				cards: new Array(), 
				index: -1, 
				addCard: function(card){
					this.cards.push({id: card.id(), html: card});
					this.html.append("<div data-timeline-card-id='"+ card.id() +"'></div>");
				}
			};			
		}
	};
	
	
	// autoexecutavel
	init();
 
    return obj;
}(Locale, PLATAFORMA, CacheStorage, Util, CARD, Paginas, SPLASH_DICAS));