var adEscolha= {
	banners: new Array(),
	appKey: null,
	lang: null,
	platform: null,
	pronto: false,
	imgCache: new Array(),
	ativo: false,
	cacheStorage: {
		id: null,
		url: null,
		time: 0,
		dados: null
	},
	
	cache: function(){
		if(this.banners.length == 0){
			return;
		}
		
		var img= null;
		
		for(var i= 0; i < this.banners.length; i++){
			img= new Image();
			img.src= this.banners[i].img;
			this.imgCache.push(img);
		}
		
		this.pronto= true;
	},
	
	requisicao: function(success, fail){
		var url= "http://www.zueirassemlimites.com/adEscolha/?appkey="+ this.appKey +"&lang="+ this.lang +"&platform="+ this.platform;
		
		//checa o cache
		if(this.cacheStorage.url == url){
			// se ainda tá no prazo
			if(this.cacheStorage.time > Date.now()){
				var json= this.cacheStorage.dados;
				this.banners= json;
				this.cache();
				return;
				
			}			
		}
		
		var httpRequest;				
		
		if (window.XMLHttpRequest) { // Mozilla, Safari, ...
			httpRequest = new XMLHttpRequest();
		}else if(window.ActiveXObject){ // IE
			try{
				httpRequest = new ActiveXObject("Msxml2.XMLHTTP");
			} 
			catch(e){
				try{
					httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
				} 
				catch(e){}
			}
		}

		if(!httpRequest){
			//alert('Giving up :( Cannot create an XMLHTTP instance');
			return false;
		}
		httpRequest.onreadystatechange = alertContents;
		httpRequest.open('GET', url);
		httpRequest.send();

		
		var that= this;
		function alertContents(){
			if (httpRequest.readyState === 4) {
			  if (httpRequest.status === 200) {
				json= JSON.parse(httpRequest.responseText);
				//alert(httpRequest.responseText);
				if(json.ok === true){
					console.log(json);
					that.banners= json.telaCheia;
					that.cache();
					
					
					// salva no cache local
					var obj= {
						id: "AdEscolha",
						url: url,
						time: Date.now() + 8640000, // 1 dia
						dados: json.telaCheia,
					}					
					
					this.cacheStorage= obj;
					localStorage.CacheAdEscolha= JSON.stringify(obj);
				}else{
					
				}
				
			  } else {
				if(fail) fail();
			  }
			}
		}
	},
	
	acharCentro: function(w, h, ww, hh){
		var pos= {x: 0, y: 0, w: ww, h: h + (ww - w)};
		
		pos.y= (hh - pos.h) / 2;
		//console.log(pos);
		return pos;
	},
	
	fechar: function(){
		if(this.ativo){
			var body= document.querySelector("body");
			var adEscolha= document.querySelector("#adEscolhaContaine");
			body.removeChild(adEscolha);
			this.ativo= false;
		}
	},
	
	telaCheia: function(){
		if(!this.pronto || this.banners.length == 0){
			return;
		}
		
		// escolhe um banner aleatório
		var min= 0;
		var max= this.banners.length;
		var i= Math.floor(Math.random() * (max - min)) + min;
		
		if(!this.banners[i]) return;
		
		var banner= this.banners[i];
		
		var width= window.innerWidth;
		var height= window.innerHeight;
		
		var body= document.querySelector("body");
		
		var divConteiner= document.createElement('div');
		divConteiner.setAttribute("id", "adEscolhaContaine");
		divConteiner.setAttribute("style", "position:fixed;top:0;left:0;z-index:99;width:"+width+"px;height:"+height+"px;background-color:rgba(0, 0, 0, 0.9);");
		
		var imgElement= new Image();
		imgElement.src= banner.img;
		
		
		// Componente Fechar
		var componenteFecharImgElemente= new Image();
		componenteFecharImgElemente.src= "http://www.zueirassemlimites.com/adEscolha/componentes/fechar.png";
		
		var componenteFecharImg= document.createElement('img');
		componenteFecharImg.setAttribute("src", componenteFecharImgElemente.src);
		componenteFecharImg.setAttribute("width", "30");
		componenteFecharImg.setAttribute("height", "30");
		
		var componenteFechar= document.createElement('a');
		componenteFechar.setAttribute("id", "adEscolhaComponenteFechar");
		componenteFechar.setAttribute("style", "position:fixed;top:5px;right:5px;width:30px;height:30px;");
		componenteFechar.setAttribute("href", "javascript:adEscolha.fechar()");
		componenteFechar.appendChild(componenteFecharImg);

		
		
		var centro= this.acharCentro(imgElement.width, imgElement.height, window.innerWidth, window.innerHeight);
		
		var imgBanner= document.createElement('img');
		imgBanner.setAttribute("src", banner.img);
		imgBanner.setAttribute("width", width);
		imgBanner.setAttribute("height", centro.h);
		
		var link= document.createElement("a");
		link.setAttribute("href", "javascript:window.open('"+banner.url +"?ref=AdEscolha("+ this.appKey +")', '_system')");
		link.setAttribute("target", "_blank");
		link.setAttribute("style", "position:absolute;top:"+ centro.y +"px;left:"+centro.x+"px;width:"+ centro.w +"px;height:"+centro.h+"px");
		
		link.appendChild(imgBanner);
		divConteiner.appendChild(link);	
		divConteiner.appendChild(componenteFechar);	
		body.appendChild(divConteiner);
		
		this.ativo= true;
		
		/*var elemento= ""+
		"<div id='adEscolhaContaine' style='position:fixed;top:0;left:0;z-index:99;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.8);'>"+
		"<img src='sons-das-zueiras-android.jpg' />"+
		"</div>";
		
		$("body").append(elemento);*/
	},
	
	init: function(){
		if(localStorage.CacheAdEscolha){
			this.cacheStorage= JSON.parse(localStorage.CacheAdEscolha);
		}
		this.requisicao();
	}
};