var ads = (function() {
    "use strict";
    var _init = false;
    var _telaCheiaReady = false;
    var _bannerPequenoReady = false;


    var ADMOB_TODOS_IDS = {
        ios: {
            banner: "ca-app-pub-1551799716386587/8496025758",
            interstitial: "ca-app-pub-1551799716386587/9972758957"
        },
        android: {
            banner: "ca-app-pub-1551799716386587/5542559350",
            interstitial: "ca-app-pub-1551799716386587/7158893357"
        },
        wp8: {
            banner: "ca-app-pub-1551799716386587/4065826158",
            interstitial: "ca-app-pub-1551799716386587/7938238152"
        }
    };
    var ADMOB_ID = null;



    var _adsPadrao = {
        removeBanner: function() {
            if (!PLATAFORMA.ios && window.AdMob) {
                window.AdMob.removeBanner();
            } else if (window.admob) {
                window.admob.destroyBannerView();
            }
        },

        showBanner: function(posicao) {
            if (!PLATAFORMA.ios && window.AdMob) {
                window.AdMob.showBanner(posicao);
            } else if (window.admob) {
                window.admob.showBannerAd(true,
                    function success() {

                    },
                    function fail() {

                    });
            }
        },

        showInterstitial: function() {
            if (!PLATAFORMA.ios && window.AdMob) {
                window.AdMob.showInterstitial();
            } else if (window.admob) {
                window.admob.showInterstitialAd(function success() {}, function fail() {});
            }
        },

        createBanner: function(config, fnSucesso, fnErro) {
            if (!PLATAFORMA.ios  && window.AdMob) {
                window.AdMob.createBanner(config, fnSucesso, fnErro);
            } else if (window.admob) {
                config.autoShowBanner = config.autoShow;
                config.publisherId = config.adId;
                config.adSize = window.admob.AD_SIZE.SMART_BANNER;
                window.admob.createBannerView(config, fnSucesso, fnErro);
            }
        },

        prepareInterstitial: function(config, fnSucesso, fnErro) {
            if (!PLATAFORMA.ios && window.AdMob) {
                window.AdMob.prepareInterstitial(config, fnSucesso, fnErro);
            } else if (window.admob) {
                config.autoShowInterstitial = config.autoShow;
                config.publisherId = ADMOB_ID.banner; //obs  este pega  o id pequeno
                config.interstitialAdId = config.adId;
                window.admob.requestInterstitialAd(config, fnSucesso, fnErro);
            }
        }
    };




    //===========================
    function initAdMob() {
        if (_init) {
            return;
        }
        _init = true;



        if (PLATAFORMA.android) {
            //alert("AdMob android");
            ADMOB_ID = ADMOB_TODOS_IDS.android;
        } else if (PLATAFORMA.ios) {
            //alert("AdMob ios");
            ADMOB_ID = ADMOB_TODOS_IDS.ios;
        } else {
            //alert("AdMob wp8")
            ADMOB_ID = ADMOB_TODOS_IDS.wp8; // ad_units.wp8;
        }



        _adsPadrao.prepareInterstitial({
            adId: ADMOB_ID.interstitial,
            isTesting: false,
            autoShow: false
        });


        var onAdDismiss = "onAdDismiss";
        var onAdLoaded = "onAdLoaded";
        var onAdPresent = "onAdPresent";

        if (PLATAFORMA.ios && window.admob && window.admob.events) {
            onAdDismiss = window.admob.events.onAdClosed;
            onAdLoaded = window.admob.events.onAdLoaded;
            onAdPresent = window.admob.events.onAdOpened;
        }

        document.addEventListener(onAdDismiss, function(data) {
            //console.log("onAdDismiss", data.adType)

            if (data.adType === "interstitial") {
                _adsPadrao.prepareInterstitial({
                    adId: ADMOB_ID.interstitial,
                    isTesting: false,
                    autoShow: false
                });
                //document.querySelector("#loaderADS").style.display = "none";;
            }
        });



    }

    function showAdMobBanner(callbackSuccess, callbackFailure) {
        if (PLATAFORMA.isOnline()) {
            // var numero = Math.floor(Math.random() * 2) + 1;
            // var adsposicao = AdMob.AD_POSITION.BOTTOM_CENTER;
            // if (numero == 2) {
            //     adsposicao = AdMob.AD_POSITION.TOP_CENTER;
            // }
            _adsPadrao.createBanner({
                adId: ADMOB_ID.banner,
                isTesting: false,
                /*position: adsposicao,*/
                autoShow: true
            });
        }
    }

    function destroyAdMobBanner() {
        _adsPadrao.removeBanner();
    }



    function showAdMobInterstitial() {

        _adsPadrao.showInterstitial();


    }

    return {
        init: initAdMob,
        telaCheia: showAdMobInterstitial,
        bannerPequeno: showAdMobBanner,
        destroiBanner: destroyAdMobBanner
    };


})();
