var Favorito = {
    zueiras: new Array(),
    bloqueados: new Array(),
    suportaStorage: false,

    isBlocked: function(url) {
        for (var i = 0; i < this.bloqueados.length; i++) {
            if (url == this.bloqueados[i]) {
                return true;
            }
        }
        return false;
    },

    isFavorite: function(url) {
        for (var i = 0; i < this.zueiras.length; i++) {
            if (url == this.zueiras[i]) {
                return true;
            }
        }
        return false;
    },

    getFavoritos: function() {
        if (typeof(Storage) !== "undefined") { // tem suporte a LocalStorage
            this.suportaStorage = true;

            // já tem favoritos
            if (localStorage.favoritos) {
                //localStorage.favoritos= JSON.stringify(new Array());
                this.zueiras = JSON.parse(localStorage.favoritos);
            } else { // se não tem cria um vetor vazio
                localStorage.favoritos = JSON.stringify(new Array());
            }
        }
    },

    getBloqueados: function() {
        if (typeof(Storage) !== "undefined") { // tem suporte a LocalStorage
            this.suportaStorage = true;

            // já tem favoritos
            if (localStorage.bloqueados) {
                //localStorage.favoritos= JSON.stringify(new Array());
                this.bloqueados = JSON.parse(localStorage.bloqueados);
            } else { // se não tem cria um vetor vazio
                localStorage.bloqueados = JSON.stringify(new Array());
            }
        }
    },

    prepararParaExibir: function(tipo) {
        var imagens = new Array();
        var y;
        var vetor = this.zueiras;

        if (tipo == "bloqueadas")
            vetor = this.bloqueados;


        for (var i = 0; i < vetor.length; i++) {
            y = new Array();
            y = {
                "caminho": vetor[i]
            };
            imagens.push(y);
        }

        return imagens;
    },

    addFavoritos: function(url) {
        if (!this.suportaStorage)
            return;

        this.zueiras.push(url);
        localStorage.favoritos = JSON.stringify(this.zueiras);
    },

    addBloqueados: function(url) {
        if (!this.suportaStorage)
            return;

        this.bloqueados.push(url);
        localStorage.bloqueados = JSON.stringify(this.bloqueados);
    },

    removerFavoritos: function(url) {
        var $card= $(".card[data-img-url='"+ url +"']");		
		$card.fadeOut();
		
		if (!this.suportaStorage)
            return;

        for (var i = 0; i < this.zueiras.length; i++) {
           
			if (url == this.zueiras[i]) {
				this.zueiras.splice(i, 1);
				break;
			}
			
        }
        localStorage.favoritos = JSON.stringify(this.zueiras);
    },

    removerBloqueados: function(url) {
		//alert("desfavorita");
		var $card= $(".card[data-img-url='"+ url +"']");
		
		if (PLATAFORMA.cordova) {
            navigator.notification.confirm(
                Locale.ativo["str033"], // message
                function(buttonIndex) {
                    if (buttonIndex == 1) {
                        $card.fadeOut();
                        if (!this.suportaStorage)
							return;

						for (var i = 0; i < this.bloqueados.length; i++){
							if (url == this.bloqueados[i]){
								this.bloqueados.splice(i, 1);
								break;
							}
						}
						localStorage.bloqueados = JSON.stringify(this.bloqueados);
                    }
                }, // callback to invoke with index of button pressed
                Locale.ativo["str028"], // title
                ['Ok', 'Cancel'] // buttonLabels
            );
        }else{
            var conf = confirm(Locale.ativo["str033"]);

            if(conf){
                $card.fadeOut();
                
				if (!this.suportaStorage)
					return;

				for (var i = 0; i < this.bloqueados.length; i++){
					if (url == this.bloqueados[i]){
						this.bloqueados.splice(i, 1);
						break;
					}
				}
				localStorage.bloqueados = JSON.stringify(this.bloqueados);
            }
			
        }
		
		
    },

    donwload: function(url, tipo, callback) {
        var fileTransfer = new FileTransfer();
        var uri = encodeURI(url);

        fileTransfer.download(
            uri,
            "///zueira" + Date.now() + ".jpg",
            function(entry) {
                console.log("download complete: " + entry.fullPath);

                if (tipo == "whatsapp") {
                    window.plugins.socialsharing.shareViaWhatsApp(null, null, entry.fullPath, null,
                        // success
                        function() {
                            callback();
                        }
                    );
                } else {
                    window.plugins.socialsharing.share(null, null, entry.fullPath, null,
                        // success
                        function() {
                            callback();
                        }
                    );
                }
            },
            function(error) {
                console.log("download error source " + error.source);
                console.log("download error target " + error.target);
                console.log("upload error code" + error.code);
            },
            false, {
                headers: {
                    "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                }
            }
        );
    },

    whatsAppShare: function(pai) {
        var $pai = pai;
        var img = $pai.attr("data-img");

        // loader
        var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
        $pai.append($load);
        this.donwload(img, "whatsapp", function() {
            $load.remove();
        });
    },

    socialShare: function(pai) {
        var $pai = pai;
        var img = $pai.attr("data-img");

        // loader
        var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
        $pai.append($load);
        this.donwload(img, "social", function() {
            $load.remove();
        });
    },

    delegarEventosImagem: function($container) {
		var that = this;

		// Se clicou em bloqueados
        $container.find("footer a[href='#block']").hammer().on(_touchstart, function() {
            var $i = $(this).find("i");
            var $pai = $(this).closest("footer");
            var img = $pai.attr("data-img");
            if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str031"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $pai.fadeOut();
                            that.addBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str031"]);

                if (conf) {
                    $pai.fadeOut();
                    that.addBloqueados(img);
                }
            }

        });



        // Se clicou em desbloquear
        $container.find("footer a[href='#desblock']").hammer().on(_touchstart, function() {
            var $i = $(this).find("i");
            var $pai = $(this).closest("footer");
            var img = $pai.attr("data-img");


            if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str033"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $pai.fadeOut();
                            that.removerBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str033"]);

                if (conf) {
                    $pai.fadeOut();
                    that.removerBloqueados(img);
                }
            }

        });

        // Se clicou em favorito (coração)
        $container.find("footer a[href='#fav']").hammer().on(_touchstart, function() {
            var $i = $(this).find("i");
            var $pai = $(this).closest("footer");
            var img = $pai.attr("data-img");

            if ($i.attr("class") == "small mdi-action-favorite-outline") { // Adicionar Favoritos
                $i.attr("class", "small mdi-action-favorite iconRed");
                that.addFavoritos(img);
            } else { // Remover Favoritos
                that.removerFavoritos(img);
                $i.attr("class", "small mdi-action-favorite-outline");
            }
        });

        // Se clicou em compartilhar no WhatsApp
        $container.find("footer a[href='#sendWhatsApp']").hammer().on(_touchstart, function(e) {
            if (!PLATAFORMA.isOnline()) {
                navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
                return;
            }

            var that = this;
            var $pai = $(this).closest("footer");
            var img = $pai.find("img").attr("src");
            var id = $pai.attr("data-img-id");

            if (Imagens.categoria != "favoritos") {
                shareZueira.share(+id, $(this));
            }

            if (PLATAFORMA.wp8) {
                navigator.notification.confirm(
                    Locale.ativo["str030"], // message
                    function(buttonIndex) {

                        if (buttonIndex == 1) {
                            Favorito.whatsAppShare($pai);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                // loader
                var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
                $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
                $pai.append($load);
                window.plugins.socialsharing.shareViaWhatsApp(null, img, null, function() {
                    $load.remove();
                }, function() {
                    $load.remove();
                });
            }
            return false;
        });


        // Se clicou no icone de share
        $container.find("footer a[href='#share']").hammer().on(_touchstart, function(e) {
            if (!PLATAFORMA.isOnline()) {
                navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
                return;
            }

            var that = this;
            var $pai = $(this).closest("footer");
            var img = $pai.find("img").attr("src");
            var id = $pai.attr("data-img-id");

            if (Imagens.categoria != "favoritos") {
                shareZueira.share(+id, $(this));
            }

            if (PLATAFORMA.wp8) {
                //if (false) {
                navigator.notification.confirm(
                    Locale.ativo["str030"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            Favorito.socialShare($pai);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                // loader
                var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
                $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
                $pai.append($load);


                window.plugins.socialsharing.share(null, "zueira", img, null,
                    // success
                    function() {
                        $load.remove();
                    },
                    // fail
                    function() {
                        $load.remove();
                    }
                );
            }
            e.preventDefault();
            return false;

        });




    },

	incrementaContador: function(seletor, valor){
		var atual= parseInt($(seletor).html());
		atual+= valor;
		$(seletor).html(atual);
	},
	
	favoritar: function(id, url){
		var $card= $("#imagem"+id);		
		var $a= $card.find("a[data-action='favorito']");
		var $span= $a.find("span");
		
		if($a.attr("data-ativo") == "0"){
			//alert("favorita");
			$a.attr("data-ativo", "1");
			$span.attr("class", "fa fa-heart text-red");
			this.addFavoritos($card.attr("data-img-url"));
		}else{
			//alert("desfavorita");
			$a.attr("data-ativo", "0");
			$span.attr("class", "fa fa-heart-o text-blue");
			
			this.removerFavoritos($card.attr("data-img-url"));
		}
	},
	
	bloquear: function(id){
		var $card= $("#imagem"+id);		
		var $a= $card.find("a[data-action='bloquear']");

		if($a.attr("data-ativo") == "0"){
			//alert("bloqueia");
			
			if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str031"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $card.fadeOut();
                            that.addBloqueados($card.attr("data-img-url"));
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str031"]);

                if (conf) {
                    $card.fadeOut();
                    this.addBloqueados($card.attr("data-img-url"));
                }
            }
		}else{
			alert("desfavorita");
			$a.attr("data-ativo", "0");

			if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str033"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $card.fadeOut();
                            that.removerBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str033"]);

                if (conf) {
                    $card.fadeOut();
                    this.removerBloqueados(img);
                }
            }
		}
	},
	
	abrirZoom: function(id){
		var $card= $("#imagem"+id);		
        var img= $card.attr("data-img-url");		
		var alturaImagem= $card.find("img").css("height");
		var alturaTopo= $(".page-header").css("height");
		//tira o px: 100px
		alturaTopo= parseInt(alturaTopo.substring(0, alturaTopo.length-2)) * 3;
			
		var larguraTela= window.innerWidth;
		var alturaTela= window.innerHeight - alturaTopo;
			
		//$("#zoom-container").css({"width": larguraTela+"px", "height": alturaTela+"px"});
		$("#zoom-container").css({"width": larguraTela+"px", "height": alturaImagem});
		$("#zoom-gambis").css({"width": (larguraTela-15)+"px"});
		$("#zoom-imagem").attr("src", img);
			
		if(Paginas.ativo){
			Paginas.mudarPagina("zoom");
		}else{
			Paginas.abrirPaginaNaMao("zoom", false);
		}
	},
	
	zoomIn: function(){
		var alturaImagem= $("#zoom-gambis").css("height");
		//tira o px: 100px
		alturaImagem= parseInt(alturaImagem.substring(0, alturaImagem.length-2));
			
		var larguraImagem= $("#zoom-gambis").css("width");
		//tira o px: 100px
		larguraImagem= parseInt(larguraImagem.substring(0, larguraImagem.length-2));

		//aplica zoom de 10%
		alturaImagem= Math.floor(alturaImagem * 1.1);
		larguraImagem= Math.floor(larguraImagem * 1.1);

		$("#zoom-gambis").css({"width": larguraImagem+"px", "height": alturaImagem});
	},
	
	zoomOut: function(){
		var alturaImagem= $("#zoom-gambis").css("height");
		//tira o px: 100px
		alturaImagem= parseInt(alturaImagem.substring(0, alturaImagem.length-2));
			
		var larguraImagem= $("#zoom-gambis").css("width");
		//tira o px: 100px
		larguraImagem= parseInt(larguraImagem.substring(0, larguraImagem.length-2));

		//tira zoom de 10%
		alturaImagem= Math.floor(alturaImagem * 0.9);
		larguraImagem= Math.floor(larguraImagem * 0.9);

		$("#zoom-gambis").css({"width": larguraImagem+"px", "height": alturaImagem});
    },
	
	shareOnWhatsApp: function(imgId, url){
        if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		var $pai= null;
		
		if(imgId){
			var $pai= $("#imagem"+imgId);
		}else{
			var $pai= $(".card[data-img-url='"+ url +"']");		
		}
		
        var img= $pai.find("img.base64").attr("src");

        if (Paginas.atual != "favoritos") {
            // o + converte o id pra numero
			shareZueira.share(+imgId, $pai);
        }
			
		// loader
        var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
        $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
        $pai.find(".card-img").append($load);
			
		if(!PLATAFORMA.cordova){
			return false;
		}
		
        if (PLATAFORMA.wp8) {
            navigator.notification.confirm(
				Locale.ativo["str030"], // message
				function(buttonIndex) {
					if (buttonIndex == 1) {
						Favorito.whatsAppShare($pai);
					}
				}, // callback to invoke with index of button pressed
				Locale.ativo["str028"], // title
				['Ok', 'Cancel'] // buttonLabels
            );
        } else {                
            window.plugins.socialsharing.shareViaWhatsApp(null, img, null, function() {
                $load.remove();
            },
			function() {
                $load.remove();
            });
        }
        return false;
    },
	
	shareOnSocial: function(imgId, url){
        if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		var $pai= null;
		
		if(imgId){
			var $pai= $("#imagem"+imgId);
		}else{
			var $pai= $(".card[data-img-url='"+ url +"']");		
		}
		
        var img= $pai.find("img.base64").attr("src");

        if (Paginas.atual != "favoritos") {
            // o + converte o id pra numero
			shareZueira.share(+imgId, $pai);
        }
			
		// loader
        var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
        $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
        $pai.find(".card-img").append($load);
			
		if(!PLATAFORMA.cordova){
			return false;
		}
		
        if (PLATAFORMA.wp8) {
            //if (false) {
            navigator.notification.confirm(
                Locale.ativo["str030"], // message
                function(buttonIndex) {
                    if (buttonIndex == 1) {
                        Favorito.socialShare($pai);
                    }
                }, // callback to invoke with index of button pressed
                Locale.ativo["str028"], // title
                ['Ok', 'Cancel'] // buttonLabels
            );
        } else {
			
            window.plugins.socialsharing.share(null, "zueira", img, null,
                // success
                function() {
                    $load.remove();
                },
                // fail
                function() {
                    $load.remove();
                }
            );
        }
        return false;
    },	
	
	gostei: function(id){
    	var $pai= $("#imagem"+id);
		var $gostei= $pai.find("a[data-action='gostei']");
		var $naoGostei= $pai.find("a[data-action='naoGostei']");
		var $gosteiIcon= $gostei.find("span.fa");
		
		//var $icon= $(this).find("span.fa");
		//var $pai= $(this).closest(".card");
        var img= id;
			
		//if ($icon.attr("class") == "fa fa-thumbs-o-up margin-right-half") { // Adicionar gostei
		if ( $gostei.attr("data-ativo") ) { // Remover gostei
            //that.removerFavoritos(img);
			$pai.find(".card-gostei").empty();// remove o icone da imagem
            $gosteiIcon.attr("class", "fa fa-thumbs-o-up margin-right-half");// volta o icone de gostei ao normal
			
			$gostei.attr("data-ativo", null);// desmarca o <a/> com ativo
			// decrementa o valor do gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", -1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "-", "gostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 0, 0);
        } else { // Adicionar gostei
            $gosteiIcon.attr("class", "fa fa-thumbs-up margin-right-half text-green");// diexa o icon de gostei verde
			$pai.find(".card-gostei").empty().append("<span class='fa fa-thumbs-up margin-right-half gostei'></span>");// adiciona o joinha na imagem
			$gostei.attr("data-ativo", 1);// seta o <a/> com ativo
				
			//incrementa o contador de gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", 1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "+", "gostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 1, 0);
				
			// se não gostei ta ativo tem que voltar ao normal e decrementar seu contador
			if($naoGostei.attr("data-ativo")){
				$naoGostei.attr("data-ativo", null);// desmarca o ativo
				$naoGostei.find("span.fa").attr("class", "fa fa-thumbs-o-down margin-right-half"); // volta o icone ao normal
					
				//decrementa o contador de não gostei
				this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", -1);				
			}
				
            //that.addFavoritos(img);				
        }
    },
	
	naoGostei: function(id){
        var $pai= $("#imagem"+id);
		var $gostei= $pai.find("a[data-action='gostei']");
		var $naoGostei= $pai.find("a[data-action='naoGostei']");
		var $naoGosteiIcon= $naoGostei.find("span.fa");
		
		//var $icon= $(this).find("span.fa");
		//var $pai= $(this).closest(".card");
        var img= id;

		if ( $naoGostei.attr("data-ativo") ) { // Remover nao gostei
            //that.removerFavoritos(img);
				
			$pai.find(".card-gostei").empty();// remove o icone da imagem
            $naoGosteiIcon.attr("class", "fa fa-thumbs-o-down margin-right-half");// volta o icone de gostei ao normal
				
			$naoGostei.attr("data-ativo", null) // desativa o <a/>
				
			// decrementa o valor do não gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", -1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "-", "naoGostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 0, 0);
        } else { // Adicionar nao gostei
            console.log("gostei ativo");
			$naoGosteiIcon.attr("class", "fa fa-thumbs-down margin-right-half text-red");// diexa o icon de gostei verde
			$pai.find(".card-gostei").empty().append("<span class='fa fa-thumbs-down margin-right-half nao-gostei'></span>");// adiciona o joinha na imagem
				
			$naoGostei.attr("data-ativo", 1);// seta o <a/> com ativo
				
			//incrementa o contador de gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", 1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "+", "naoGostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 0, 1);
				
			// se gostei ta ativo tem que voltar ao normal e decrementar seu contador
			if($gostei.attr("data-ativo")){
				$gostei.attr("data-ativo", null);// desmarca o ativo
				$gostei.find("span.fa").attr("class", "fa fa-thumbs-o-up margin-right-half"); // volta o icone ao normal
					
				//decrementa o contador de gostei
				this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", -1);			
			}
				
                //that.addFavoritos(img);				
        }
			
    },
	
    licarEventos: function() {
        var that = this;
        
		// Se clicou em favorito (coração)
       /* $(".content-fixo, .page-content, .content-inner").on(_touchstart, "a[data-action='favorito']", function() {			
			var $icon= $(this).find("span");
            var $pai= $(this).closest(".card");
            var img= $pai.attr("data-img-url");

            if ($icon.attr("class") == "fa fa-heart-o text-blue") { // Adicionar Favoritos
                $icon.attr("class", "fa fa-heart text-red");
                that.addFavoritos(img);
            } else { // Remover Favoritos
                that.removerFavoritos(img);				
                $icon.attr("class", "fa fa-heart-o text-blue");
				
				// se ta na pagina de favoritos a zueira some com um fade quando é desmarcada
				if(Paginas.atual == "favoritos")
					$pai.fadeOut();
				
				var imagenNaTimeLine= $("[data-img-url='"+img+"']");
				var coracao= imagenNaTimeLine.find("a[data-action='favorito']");
				coracao.find("span").attr("class", "fa fa-heart-o text-blue");
            }
        });*/

		// Se clicou em bloqueados
        /*$(".content-fixo, .content-inner").on(_touchstart, "a[data-action='bloquear']", function() {
            var $pai= $(this).closest(".card");
            var img= $pai.attr("data-img-url");
			
            if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str031"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $pai.fadeOut();
                            that.addBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str031"]);

                if (conf) {
                    $pai.fadeOut();
                    that.addBloqueados(img);
                }
            }

        });*/
		
		// Se clicou em desbloquear
		// bloqueas só estaram dentro de .page.content quando forem bloqueadas
		// pois page-content é uma pagina, no caso a pagina de bloaqueadas
        /*$(".page-content, .content-inner").on(_touchstart, "a[data-action='bloquear']", function() {
            var $pai= $(this).closest(".card");
            var img= $pai.attr("data-img-url");


            if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str033"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $pai.fadeOut();
                            that.removerBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str033"]);

                if (conf) {
                    $pai.fadeOut();
                    that.removerBloqueados(img);
                }
            }

        });*/

		// Se clicou em zoom
        /*$(".content-fixo, .page-content, .content-inner").on(_touchstart, "a[data-action='zoom']", function() {
            var $pai= $(this).closest(".card");
            var img= $pai.find("img").attr("src");
			var alturaImagem= $pai.find("img").css("height");
			
			var alturaTopo= $(".page-header").css("height");
			//tira o px: 100px
			alturaTopo= parseInt(alturaTopo.substring(0, alturaTopo.length-2)) * 3;
			
			var larguraTela= window.innerWidth;
			var alturaTela= window.innerHeight - alturaTopo;
			
			//$("#zoom-container").css({"width": larguraTela+"px", "height": alturaTela+"px"});
			$("#zoom-container").css({"width": larguraTela+"px", "height": alturaImagem});
			$("#zoom-gambis").css({"width": (larguraTela-15)+"px"});
			$("#zoom-imagem").attr("src", img);
			
			if(Paginas.ativo){
				Paginas.mudarPagina("zoom");
			}else{
				Paginas.abrirPaginaNaMao("zoom", false);
			}	
        });*/
		
		// Se clicou em zoom-in
        /*$("a[data-action='zoom-in']").on(_touchstart, function(){
			console.log("zoom-in");
			var alturaImagem= $("#zoom-gambis").css("height");
			//tira o px: 100px
			alturaImagem= parseInt(alturaImagem.substring(0, alturaImagem.length-2));
			
			var larguraImagem= $("#zoom-gambis").css("width");
			//tira o px: 100px
			larguraImagem= parseInt(larguraImagem.substring(0, larguraImagem.length-2));

			//aplica zoom de 10%
			alturaImagem= Math.floor(alturaImagem * 1.1);
			larguraImagem= Math.floor(larguraImagem * 1.1);

			$("#zoom-gambis").css({"width": larguraImagem+"px", "height": alturaImagem});
			
        });*/
		
		// Se clicou em zoom-out
        /*$("a[data-action='zoom-out']").on(_touchstart, function(){
			console.log("zoom-in");
			var alturaImagem= $("#zoom-gambis").css("height");
			//tira o px: 100px
			alturaImagem= parseInt(alturaImagem.substring(0, alturaImagem.length-2));
			
			var larguraImagem= $("#zoom-gambis").css("width");
			//tira o px: 100px
			larguraImagem= parseInt(larguraImagem.substring(0, larguraImagem.length-2));

			//tira zoom de 10%
			alturaImagem= Math.floor(alturaImagem * 0.9);
			larguraImagem= Math.floor(larguraImagem * 0.9);

			$("#zoom-gambis").css({"width": larguraImagem+"px", "height": alturaImagem});
			
        });*/
		
        // Se clicou em compartilhar no WhatsApp
        /*$(".content-fixo, .page-content, .content-inner").on(_touchstart, "a[data-action='shareWhatsApp']", function(e) {
            if (!PLATAFORMA.isOnline()) {
                navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
                return;
            }

            var that = this;
            var $pai= $(this).closest(".card");
            var img= $pai.find("img.base64").attr("src");
			var id= $pai.attr("data-img-id");

            if (Imagens.categoria != "favoritos") {
                // o + converte o id pra numero
				shareZueira.share(+id, $pai);
            }
			
			// loader
            var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
            $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
            $pai.find(".card-img").append($load);
			
			if(!PLATAFORMA.cordova){
				return false;
			}
            if (PLATAFORMA.wp8) {
                navigator.notification.confirm(
                    Locale.ativo["str030"], // message
                    function(buttonIndex) {

                        if (buttonIndex == 1) {
                            Favorito.whatsAppShare($pai);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {                
                window.plugins.socialsharing.shareViaWhatsApp(null, img, null, function() {
                    $load.remove();
                }, function() {
                    $load.remove();
                });
            }
            return false;
        });*/

	    // Se clicou no icone de share
        /*$(".content-fixo, .page-content, .content-inner").on(_touchstart, "a[data-action='shareSocial']", function(e) {
            if (!PLATAFORMA.isOnline()) {
                navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
                return;
            }

            var that = this;
            var $pai= $(this).closest(".card");
            var img= $pai.find("img.base64").attr("src");
			var id= $pai.attr("data-img-id");

            if (Imagens.categoria != "favoritos") {
                // o + converte o id pra numero
				shareZueira.share(+id, $pai);
            }
			
			// loader
            var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
            $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
            $pai.find(".card-img").append($load);
			
            if (PLATAFORMA.wp8) {
                //if (false) {
                navigator.notification.confirm(
                    Locale.ativo["str030"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            Favorito.socialShare($pai);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
				
                window.plugins.socialsharing.share(null, "zueira", img, null,
                    // success
                    function() {
                        $load.remove();
                    },
                    // fail
                    function() {
                        $load.remove();
                    }
                );
            }

            return false;

        });*/

		// Se clicou em gostei
        /*$(".content-fixo, .page-content, .content-inner").on(_touchstart, "a[data-action='gostei']", function() {
            var $icon= $(this).find("span.fa");
			var $pai= $(this).closest(".card");
            var img= $pai.attr("data-img-id");
			var $naoGostei= $pai.find("a[data-action='naoGostei']");
			
			//if ($icon.attr("class") == "fa fa-thumbs-o-up margin-right-half") { // Adicionar gostei
			if ( $(this).attr("data-ativo") ) { // Remover gostei
                //that.removerFavoritos(img);
				$pai.find(".card-gostei").empty();// remove o icone da imagem
                $icon.attr("class", "fa fa-thumbs-o-up margin-right-half");// volta o icone de gostei ao normal
				
				$(this).attr("data-ativo", null);// desmarca o <a/> com ativo
				// decrementa o valor do gostei
				that.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", -1);
				
				// envia requisição para o servidor
				Gostei.enviar(Usuario.id, img, "-", "gostei"); //usuario, imagemId, incrementa, gostei
				
				// atualiza o vetor de curtidas
				Usuario.addCurtida(img, 0, 0);
            } else { // Adicionar gostei
                $icon.attr("class", "fa fa-thumbs-up margin-right-half text-green");// diexa o icon de gostei verde
				$pai.find(".card-gostei").empty().append("<span class='fa fa-thumbs-up margin-right-half gostei'></span>");// adiciona o joinha na imagem
				$(this).attr("data-ativo", 1);// seta o <a/> com ativo
				
				//incrementa o contador de gostei
				that.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", 1);
				
				// envia requisição para o servidor
				Gostei.enviar(Usuario.id, img, "+", "gostei"); //usuario, imagemId, incrementa, gostei
				
				// atualiza o vetor de curtidas
				Usuario.addCurtida(img, 1, 0);
				
				// se não gostei ta ativo tem que voltar ao normal e decrementar seu contador
				if($naoGostei.attr("data-ativo")){
					$naoGostei.attr("data-ativo", null);// desmarca o ativo
					$naoGostei.find("span.fa").attr("class", "fa fa-thumbs-o-down margin-right-half"); // volta o icone ao normal
					
					//decrementa o contador de não gostei
					that.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", -1);				
				}
				
                //that.addFavoritos(img);				
            }
        });*/
		
		// Se clicou em nao gostei
        /*$(".content-fixo, .page-content, .content-inner").on(_touchstart, "a[data-action='naoGostei']", function() {
            var $icon= $(this).find("span.fa");
			var $pai= $(this).closest(".card");
            var img= $pai.attr("data-img-id");
			var $gostei= $pai.find("a[data-action='gostei']");
			
			if ( $(this).attr("data-ativo") ) { // Remover nao gostei
                //that.removerFavoritos(img);
				
				$pai.find(".card-gostei").empty();// remove o icone da imagem
                $icon.attr("class", "fa fa-thumbs-o-down margin-right-half");// volta o icone de gostei ao normal
				
				$(this).attr("data-ativo", null) // desativa o <a/>
				
				// decrementa o valor do não gostei
				that.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", -1);
				
				// envia requisição para o servidor
				Gostei.enviar(Usuario.id, img, "-", "naoGostei"); //usuario, imagemId, incrementa, gostei
				
				// atualiza o vetor de curtidas
				Usuario.addCurtida(img, 0, 0);
            } else { // Adicionar nao gostei
                console.log("gostei ativo");
				$icon.attr("class", "fa fa-thumbs-down margin-right-half text-red");// diexa o icon de gostei verde
				$pai.find(".card-gostei").empty().append("<span class='fa fa-thumbs-down margin-right-half nao-gostei'></span>");// adiciona o joinha na imagem
				
				$(this).attr("data-ativo", 1);// seta o <a/> com ativo
				
				//incrementa o contador de gostei
				that.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", 1);
				
				// envia requisição para o servidor
				Gostei.enviar(Usuario.id, img, "+", "naoGostei"); //usuario, imagemId, incrementa, gostei
				
				// atualiza o vetor de curtidas
				Usuario.addCurtida(img, 0, 1);
				
				// se gostei ta ativo tem que voltar ao normal e decrementar seu contador
				if($gostei.attr("data-ativo")){
					$gostei.attr("data-ativo", null);// desmarca o ativo
					$gostei.find("span.fa").attr("class", "fa fa-thumbs-o-up margin-right-half"); // volta o icone ao normal
					
					//decrementa o contador de gostei
					that.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", -1);			
				}
				
                //that.addFavoritos(img);				
            }
			
			
			
        });*/

		// clicou no joinha da imagem. Remove pois pode estar atrapalhando
		$(".content-fixo, .page-content, .content-inner").on(_touchstart, "div.card-gostei", function(){
			$(this).empty();
		});
    },

    init: function() {
        this.licarEventos();
        this.getFavoritos();
        this.getBloqueados();
    }
};
