var Favorito = {
    zueiras: new Array(),
    bloqueados: new Array(),
    suportaStorage: false,

    isBlocked: function(url) {
        for (var i = 0; i < this.bloqueados.length; i++) {
            if (url == this.bloqueados[i]) {
                return true;
            }
        }
        return false;
    },

    isFavorite: function(id) {
        for (var i = 0; i < this.zueiras.length; i++) {
            if (id == this.zueiras[i].id) {
                return true;
            }
        }
        return false;
    },

    getFavoritos: function(callback) {
        if (typeof(Storage) !== "undefined") { // tem suporte a LocalStorage
            this.suportaStorage = true;

            if(localStorage.favoritos){
                return this.favoritosAntigoParaNovo(localStorage.favoritos);
            }else{
				this.getFavoritosBanco(Conta.id, function(imagens){
					if(callback){
						callback(imagens);
					}
					return imagens;
				});				
				
			}
        }
    },

    getBloqueados: function() {
        // já tem favoritos
        if (localStorage.bloqueados) {
            //localStorage.favoritos= JSON.stringify(new Array());
            this.bloqueados = JSON.parse(localStorage.bloqueados);
        } else { // se não tem cria um vetor vazio
            localStorage.bloqueados = JSON.stringify(new Array());
        }        
    },

    prepararParaExibir: function(tipo) {
        var imagens = new Array();
        var y;
        var vetor = this.zueiras;
		
        if (tipo == "bloqueadas")
            vetor = this.bloqueados;
		
		
		if(vetor.length > 0){
			for (var i = 0; i < vetor.length; i++) {
				y = new Array();
				y = {
					"caminho": vetor[i]
				};
				imagens.push(y);
			}
		}else{
			$("#modal-notificacoes-texto").html(Locale.ativo["str044"]);
			$("#modal-notificacoes").modal("show");
		}
        return imagens;
    },

    addFavoritos: function(imagem) {
        this.addFavoritoBanco(Conta.id, imagem);
    },

	excluir: function(imagem) {
        this.excluirBanco(Conta.id, imagem);
    },

	
    addBloqueados: function(url) {
        if (!this.suportaStorage)
            return;

        this.bloqueados.splice(0, 0, url);
        localStorage.bloqueados = JSON.stringify(this.bloqueados);		
    },

    removerFavoritos: function(imagem){        
        this.removeFavoritoBanco(Conta.id, imagem)
    },

    removerBloqueados: function(url) {
		//alert("desfavorita");
		var $card= $(".card[data-img-url='"+ url +"']");
		var that= this;
		
		if (PLATAFORMA.cordova) {
            navigator.notification.confirm(
                Locale.ativo["str033"], // message
                function(buttonIndex) {
                    if (buttonIndex == 1) {
                        $card.fadeOut();
                        if (!that.suportaStorage)
							return;

						for (var i = 0; i < that.bloqueados.length; i++){
							if (url == that.bloqueados[i]){
								that.bloqueados.splice(i, 1);
								break;
							}
						}
						localStorage.bloqueados = JSON.stringify(this.bloqueados);
                    }
                }, // callback to invoke with index of button pressed
                Locale.ativo["str028"], // title
                ['Ok', 'Cancel'] // buttonLabels
            );
        }else{
            var conf = confirm(Locale.ativo["str033"]);

            if(conf){
                $card.fadeOut();
                
				if (!this.suportaStorage)
					return;

				for (var i = 0; i < this.bloqueados.length; i++){
					if (url == this.bloqueados[i]){
						this.bloqueados.splice(i, 1);
						break;
					}
				}
				localStorage.bloqueados = JSON.stringify(this.bloqueados);
            }
			
        }
		
		
    },

    donwload: function(url, tipo, callback) {
        var fileTransfer = new FileTransfer();
        var uri = encodeURI(url);

        fileTransfer.download(
            uri,
            "///zueira" + Date.now() + ".jpg",
            function(entry) {
                console.log("download complete: " + entry.fullPath);

                if (tipo == "whatsapp") {
                    window.plugins.socialsharing.shareViaWhatsApp(null, null, entry.fullPath, null,
                        // success
                        function() {
                            callback();
                        }
                    );
                } else {
                    window.plugins.socialsharing.share(null, null, entry.fullPath, null,
                        // success
                        function() {
                            callback();
                        }
                    );
                }
            },
            function(error) {
                console.log("download error source " + error.source);
                console.log("download error target " + error.target);
                console.log("upload error code" + error.code);
            },
            false, {
                headers: {
                    "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                }
            }
        );
    },

    whatsAppShare: function(pai) {
        var $pai = pai;
        var img = $pai.attr("data-img");

        // loader
        var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
        $pai.append($load);
        this.donwload(img, "whatsapp", function() {
            $load.remove();
        });
    },

    socialShare: function(pai) {
        var $pai = pai;
        var img = $pai.attr("data-img");

        // loader
        var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
        $pai.append($load);
        this.donwload(img, "social", function() {
            $load.remove();
        });
    },

    /*delegarEventosImagem: function($container) {
		var that = this;

		// Se clicou em bloqueados
        $container.find("footer a[href='#block']").hammer().on(_touchstart, function() {
           /* var $i = $(this).find("i");
            var $pai = $(this).closest("footer");
            var img = $pai.attr("data-img");
            if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str031"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $pai.fadeOut();
                            that.addBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str031"]);

                if (conf) {
                    $pai.fadeOut();
                    that.addBloqueados(img);
                }
            }

        });



        // Se clicou em desbloquear
        $container.find("footer a[href='#desblock']").hammer().on(_touchstart, function() {
            var $i = $(this).find("i");
            var $pai = $(this).closest("footer");
            var img = $pai.attr("data-img");


            if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str033"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $pai.fadeOut();
                            that.removerBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str033"]);

                if (conf) {
                    $pai.fadeOut();
                    that.removerBloqueados(img);
                }
            }

        });

        // Se clicou em favorito (coração)
        $container.find("footer a[href='#fav']").hammer().on(_touchstart, function() {
            var $i = $(this).find("i");
            var $pai = $(this).closest("footer");
            var img = $pai.attr("data-img");

            if ($i.attr("class") == "small mdi-action-favorite-outline") { // Adicionar Favoritos
                $i.attr("class", "small mdi-action-favorite iconRed");
                that.addFavoritos(img);
            } else { // Remover Favoritos
                that.removerFavoritos(img);
                $i.attr("class", "small mdi-action-favorite-outline");
            }
        });

        // Se clicou em compartilhar no WhatsApp
        $container.find("footer a[href='#sendWhatsApp']").hammer().on(_touchstart, function(e) {
            if (!PLATAFORMA.isOnline()) {
                navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
                return;
            }

            var that = this;
            var $pai = $(this).closest("footer");
            var img = $pai.find("img").attr("src");
            var id = $pai.attr("data-img-id");

            if (Imagens.categoria != "favoritos") {
                shareZueira.share(+id, $(this));
            }

            if (PLATAFORMA.wp8) {
                navigator.notification.confirm(
                    Locale.ativo["str030"], // message
                    function(buttonIndex) {

                        if (buttonIndex == 1) {
                            Favorito.whatsAppShare($pai);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                // loader
                var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
                $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
                $pai.append($load);
                window.plugins.socialsharing.shareViaWhatsApp(null, img, null, function() {
                    $load.remove();
                }, function() {
                    $load.remove();
                });
            }
            return false;
        });


        // Se clicou no icone de share
        $container.find("footer a[href='#share']").hammer().on(_touchstart, function(e) {
            if (!PLATAFORMA.isOnline()) {
                navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
                return;
            }

            var that = this;
            var $pai = $(this).closest("footer");
            var img = $pai.find("img").attr("src");
            var id = $pai.attr("data-img-id");

            if (Imagens.categoria != "favoritos") {
                shareZueira.share(+id, $(this));
            }

            if (PLATAFORMA.wp8) {
                //if (false) {
                navigator.notification.confirm(
                    Locale.ativo["str030"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            Favorito.socialShare($pai);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                // loader
                var $load = $(" <div class='progress'><div class='indeterminate'></div></div>");
                $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
                $pai.append($load);


                window.plugins.socialsharing.share(null, "zueira", img, null,
                    // success
                    function() {
                        $load.remove();
                    },
                    // fail
                    function() {
                        $load.remove();
                    }
                );
            }
            e.preventDefault();
            return false;

        });




    },*/

	incrementaContador: function(seletor, valor){
		var atual= parseInt($(seletor).html());
		atual+= valor;
		$(seletor).html(atual);
	},
	
	favoritar: function(id, url){		
		var $card= $("#imagem"+id);		
		var $a= $card.find("a[data-action='favorito']");
		var $span= $a.find("span");
		
		//if($a.attr("data-ativo") == "0"){
		if(!this.isFavorite(id)){
			//console.log("favorita");
			$a.attr("data-ativo", "1");
			$span.attr("class", "fa fa-heart text-red");
			this.addFavoritos(id);
		}else{
			//console.log("desfavorita");
			$a.attr("data-ativo", "0");
			$span.attr("class", "fa fa-heart-o text-blue");
			
			this.removerFavoritos(id);
		}
	},
	
	bloquear: function(id){
		var $card= $("#imagem"+id);		
		var that= this;
		//if($a.attr("data-ativo") == "0"){
			//alert("bloqueia");
			
			if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str031"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
							that.addBloqueados($card.attr("data-img-url"));
                            $card.fadeOut();                           
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str031"]);

                if (conf) {
                    $card.fadeOut();
                    this.addBloqueados($card.attr("data-img-url"));
                }
            }
		/*}else{
			alert("desfavorita");
			$a.attr("data-ativo", "0");

			if (PLATAFORMA.cordova) {
                navigator.notification.confirm(
                    Locale.ativo["str033"], // message
                    function(buttonIndex) {
                        if (buttonIndex == 1) {
                            $card.fadeOut();
                            that.removerBloqueados(img);
                        }
                    }, // callback to invoke with index of button pressed
                    Locale.ativo["str028"], // title
                    ['Ok', 'Cancel'] // buttonLabels
                );
            } else {
                var conf = confirm(Locale.ativo["str033"]);

                if (conf) {
                    $card.fadeOut();
                    this.removerBloqueados(img);
                }
            }
		}*/
	},
	
	abrirZoom: function(id){
		var $card= $("#imagem"+id);		
        var img= $card.attr("data-img-url");		
		var alturaImagem= $card.find("img").css("height");
		var alturaTopo= $(".page-header").css("height");
		//tira o px: 100px
		alturaTopo= parseInt(alturaTopo.substring(0, alturaTopo.length-2)) * 3;
			
		var larguraTela= window.innerWidth;
		var alturaTela= window.innerHeight - alturaTopo;
			
		//$("#zoom-container").css({"width": larguraTela+"px", "height": alturaTela+"px"});
		$("#zoom-container").css({"width": larguraTela+"px", "height": alturaImagem});
		$("#zoom-gambis").css({"width": (larguraTela-15)+"px"});
		$("#zoom-imagem").attr("src", img);
			
		if(Paginas.ativo){
			Paginas.mudarPagina("zoom");
		}else{
			Paginas.abrirPaginaNaMao("zoom", false);
		}
	},
	
	zoomIn: function(){
		var alturaImagem= $("#zoom-gambis").css("height");
		//tira o px: 100px
		alturaImagem= parseInt(alturaImagem.substring(0, alturaImagem.length-2));
			
		var larguraImagem= $("#zoom-gambis").css("width");
		//tira o px: 100px
		larguraImagem= parseInt(larguraImagem.substring(0, larguraImagem.length-2));

		//aplica zoom de 10%
		alturaImagem= Math.floor(alturaImagem * 1.1);
		larguraImagem= Math.floor(larguraImagem * 1.1);

		$("#zoom-gambis").css({"width": larguraImagem+"px", "height": alturaImagem});
	},
	
	zoomOut: function(){
		var alturaImagem= $("#zoom-gambis").css("height");
		//tira o px: 100px
		alturaImagem= parseInt(alturaImagem.substring(0, alturaImagem.length-2));
			
		var larguraImagem= $("#zoom-gambis").css("width");
		//tira o px: 100px
		larguraImagem= parseInt(larguraImagem.substring(0, larguraImagem.length-2));

		//tira zoom de 10%
		alturaImagem= Math.floor(alturaImagem * 0.9);
		larguraImagem= Math.floor(larguraImagem * 0.9);

		$("#zoom-gambis").css({"width": larguraImagem+"px", "height": alturaImagem});
    },
	
	shareOnWhatsApp: function(imgId, url){
        if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		var $pai= null;
		
		if(imgId){
			var $pai= $("#imagem"+imgId);
		}else{
			var $pai= $(".card[data-img-url='"+ url +"']");		
		}
		
        var img= $pai.find("img.base64").attr("src");

        if (Paginas.atual != "favoritos") {
            // o + converte o id pra numero
			shareZueira.share(+imgId, $pai);
        }
			
		// loader
        var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
        $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
        $pai.find(".card-img").append($load);
			
		if(!PLATAFORMA.cordova){
			return false;
		}
		
        if (PLATAFORMA.wp8) {
            navigator.notification.confirm(
				Locale.ativo["str030"], // message
				function(buttonIndex) {
					if (buttonIndex == 1) {
						Favorito.whatsAppShare($pai);
					}
				}, // callback to invoke with index of button pressed
				Locale.ativo["str028"], // title
				['Ok', 'Cancel'] // buttonLabels
            );
        } else {                
            window.plugins.socialsharing.shareViaWhatsApp(null, img, null, function() {
                $load.remove();
            },
			function() {
                $load.remove();
            });
			
			//this.exibeAds();
        }
        return false;
    },
	
	shareGifOnFacebook: function(imgId, url, gifUrl){
        if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		var $pai= null;
		
		if(imgId){
			var $pai= $("#imagem"+imgId);
		}else{
			var $pai= $(".card[data-img-url='"+ url +"']");		
		}
		
        var img= $pai.find("img.base64").attr("src");

        if (Paginas.atual != "favoritos") {
            // o + converte o id pra numero
			shareZueira.share(+imgId, $pai);
        }
			
		// loader
        var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
        $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
        $pai.find(".card-img").append($load);
			
		if(!PLATAFORMA.cordova){
			return false;
		}
		
        if (PLATAFORMA.wp8) {
            navigator.notification.confirm(
				Locale.ativo["str030"], // message
				function(buttonIndex) {
					if (buttonIndex == 1) {
						Favorito.whatsAppShare($pai);
					}
				}, // callback to invoke with index of button pressed
				Locale.ativo["str028"], // title
				['Ok', 'Cancel'] // buttonLabels
            );
        } else {
			window.plugins.socialsharing.shareViaFacebookWithPasteMessageHint('Message via Facebook', null /* img */, gifUrl /* url */, 'Preparando Facebook!', 
				function(){
					$load.remove();
					console.log('share ok')}, 
				function(errormsg){
					$load.remove();
					alert(errormsg)
				}
			);			
			//this.exibeAds();
        }
        return false;
    },
		
	shareGifOnSocial: function(imgId, url, videoUrl){
        if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		var that= this;
		var $pai= null;
		
		if(imgId){
			var $pai= $("#imagem"+imgId);
		}else{
			var $pai= $(".card[data-img-url='"+ url +"']");		
		}
		
        var img= $pai.find("img.base64").attr("src");

        if (Paginas.atual != "favoritos") {
            // o + converte o id pra numero
			shareZueira.share(+imgId, $pai);
        }
			
		// loader
        var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
        $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
        $pai.find(".card-img").append($load);
			
		if(!PLATAFORMA.cordova){
			return false;
		}
		
        if (PLATAFORMA.wp8) {
            navigator.notification.confirm(
				Locale.ativo["str030"], // message
				function(buttonIndex) {
					if (buttonIndex == 1) {
						Favorito.whatsAppShare($pai);
					}
				}, // callback to invoke with index of button pressed
				Locale.ativo["str028"], // title
				['Ok', 'Cancel'] // buttonLabels
            );
        } else {
            that.downloadMP4(videoUrl).then(function(obj){
				window.plugins.socialsharing.share("Zueiras Sem Limites", "Zueiras Sem Limites", obj.uriBase64);
				$load.remove();
			}, function(e){alert(e);$load.remove();});
        }
        return false;
    },
		
	shareOnSocial: function(imgId, url){
        if (!PLATAFORMA.isOnline()) {
            navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
            return;
        }

		var $pai= null;
		
		if(imgId){
			var $pai= $("#imagem"+imgId);
		}else{
			var $pai= $(".card[data-img-url='"+ url +"']");		
		}
		
        var img= $pai.find("img.base64").attr("src");

        if (Paginas.atual != "favoritos") {
            // o + converte o id pra numero
			shareZueira.share(+imgId, $pai);
        }
			
		// loader
        var $load = $("<div class=\"progress\"><div class=\"progress-bar-indeterminate\"></div></div>");
        $pai.find("div.progress").remove(); // sempre remove casa já haja algum. Se a pessoa dar varios clicks
        $pai.find(".card-img").append($load);
			
		if(!PLATAFORMA.cordova){
			return false;
		}
		
        if (PLATAFORMA.wp8) {
            //if (false) {
            navigator.notification.confirm(
                Locale.ativo["str030"], // message
                function(buttonIndex) {
                    if (buttonIndex == 1) {
                        Favorito.socialShare($pai);
                    }
                }, // callback to invoke with index of button pressed
                Locale.ativo["str028"], // title
                ['Ok', 'Cancel'] // buttonLabels
            );
        } else {
			
            window.plugins.socialsharing.share(null, "zueira", img, null,
                // success
                function() {
                    $load.remove();
                },
                // fail
                function() {
                    $load.remove();
                }
            );
			
			//this.exibeAds();
        }
        return false;
    },	
	
	gostei: function(id){
    	var $pai= $("#imagem"+id);
		var $gostei= $pai.find("a[data-action='gostei']");
		var $naoGostei= $pai.find("a[data-action='naoGostei']");
		var $gosteiIcon= $gostei.find("span.fa");
		
		//var $icon= $(this).find("span.fa");
		//var $pai= $(this).closest(".card");
        var img= id;
			
		//if ($icon.attr("class") == "fa fa-thumbs-o-up margin-right-half") { // Adicionar gostei
		if ( $gostei.attr("data-ativo") ) { // Remover gostei
            //that.removerFavoritos(img);
			$pai.find(".card-gostei").empty();// remove o icone da imagem
            $gosteiIcon.attr("class", "fa fa-thumbs-o-up text-blue");// volta o icone de gostei ao normal
			
			$gostei.attr("data-ativo", null);// desmarca o <a/> com ativo
			// decrementa o valor do gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", -1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "-", "gostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 0, 0);
        } else { // Adicionar gostei
            $gosteiIcon.attr("class", "fa fa-thumbs-up margin-right-half text-green");// diexa o icon de gostei verde
			$pai.find(".card-gostei").empty().append("<a href=\"javascript:Favorito.removerMaozinha("+ id +")\" class='fa fa-thumbs-up margin-right-half gostei'></a>");// adiciona o joinha na imagem
			$gostei.attr("data-ativo", 1);// seta o <a/> com ativo
				
			//incrementa o contador de gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", 1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "+", "gostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 1, 0);
				
			// se não gostei ta ativo tem que voltar ao normal e decrementar seu contador
			if($naoGostei.attr("data-ativo")){
				$naoGostei.attr("data-ativo", null);// desmarca o ativo
				$naoGostei.find("span.fa").attr("class", "fa fa-thumbs-o-down text-blue"); // volta o icone ao normal
					
				//decrementa o contador de não gostei
				this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", -1);				
			}
				
            //that.addFavoritos(img);				
        }
    },
	
	naoGostei: function(id){
        var $pai= $("#imagem"+id);
		var $gostei= $pai.find("a[data-action='gostei']");
		var $naoGostei= $pai.find("a[data-action='naoGostei']");
		var $naoGosteiIcon= $naoGostei.find("span.fa");
		
		//var $icon= $(this).find("span.fa");
		//var $pai= $(this).closest(".card");
        var img= id;

		if ( $naoGostei.attr("data-ativo") ) { // Remover nao gostei
            //that.removerFavoritos(img);
				
			$pai.find(".card-gostei").empty();// remove o icone da imagem
            $naoGosteiIcon.attr("class", "fa fa-thumbs-o-down text-blue");// volta o icone de gostei ao normal
				
			$naoGostei.attr("data-ativo", null) // desativa o <a/>
				
			// decrementa o valor do não gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", -1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "-", "naoGostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 0, 0);
        } else { // Adicionar nao gostei
            console.log("gostei ativo");
			$naoGosteiIcon.attr("class", "fa fa-thumbs-down margin-right-half text-red");// diexa o icon de gostei verde
			$pai.find(".card-gostei").empty().append("<a href=\"javascript:Favorito.removerMaozinha("+ id +")\" class='fa fa-thumbs-down margin-right-half nao-gostei'></a>");// adiciona o joinha na imagem
				
			$naoGostei.attr("data-ativo", 1);// seta o <a/> com ativo
				
			//incrementa o contador de gostei
			this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='naoGostei']", 1);
				
			// envia requisição para o servidor
			Gostei.enviar(Usuario.id, img, "+", "naoGostei"); //usuario, imagemId, incrementa, gostei
				
			// atualiza o vetor de curtidas
			Usuario.addCurtida(img, 0, 1);
				
			// se gostei ta ativo tem que voltar ao normal e decrementar seu contador
			if($gostei.attr("data-ativo")){
				$gostei.attr("data-ativo", null);// desmarca o ativo
				$gostei.find("span.fa").attr("class", "fa fa-thumbs-o-up text-blue"); // volta o icone ao normal
					
				//decrementa o contador de gostei
				this.incrementaContador(".card[data-img-id='"+img+"'] span[data-contador='gostei']", -1);			
			}
				
                //that.addFavoritos(img);				
        }
			
    },
	
	removerMaozinha: function(id){
		var $pai= $("#imagem"+id);
		$pai.find(".card-gostei").empty();
	},
	
    licarEventos: function() {
        var that = this;
    },

	abrirTops: function(imagem){
		if(Paginas.ativo){
			Paginas.mudarPaginaPorId("#paginaTop");
		}else{	
			Paginas.abrirPaginaNaMaoPorId("#paginaTop", false);
		}
		
		Top.getTops(imagem);
		Top.imagemAtivaId= imagem;		
	},
	
	exibeAds: function(){
		if(_countShare == 0){
			//alert("exibe");
			// primeiro share já exibe fullscreen
			//if(ads) ads.telaCheia();	
			_exibeAds= true;
		}else{
			// depois do primeiro exibe a cada 2 shares
			if(_countShare % 2 == 0){
				//alert("exibe");
				//ads.telaCheia();
				_exibeAds= true;
			}
		}
		//alert("count "+ _countShare);
		_countShare++;
	},
	
	converterParaBase64: function(responseText) {
        LOG("converterParaBase64");
        var responseTextLen = responseText.length;
        var binary = "";
        for (var i = 0; i < responseTextLen; i += 1) {
            binary += String.fromCharCode(responseText.charCodeAt(i) & 0xff);
        }
        return window.btoa(binary);
    },

    converterFileEntryParaBase64: function(fileEntry) {
        return new Promise(function(resolve, reject) {
            fileEntry.file(function(file) {
				var reader = new FileReader();
                reader.onload = function(e) {
                    resolve(this.result);
                };
                reader.onerror = function(e) {
                    reject(new Error("reader -erro converterFileEntryParaBase64"));
                };
                reader.readAsDataURL(file);
            }, function() {
                reject(new Error("file - erro converterFileEntryParaBase64"));
            });
        });
    },
	
	downloadMP4: function(url, multiploDownload) {
        var that = this;

        return new Promise(function(resolve, reject) {
            
            var id = "id" + Date.now();
            var nomeArquivo = "audio.mp4";
            if (PLATAFORMA.ios) {
                //ios  precisa ser  extensao waa  para o  whatsapp entender
                nomeArquivo = "audio.mp4";
            }

            nomeArquivo = id + nomeArquivo;

            window.requestFileSystem(LocalFileSystem.TEMPORARY, 0, function(fileSystem) {
                fileSystem.root.getFile("temp.html", {
                    create: true,
                    exclusive: false
                }, function(fileEntry) {

					var path = fileEntry.toURL().replace("temp.html", "");
                    var fileTransfer = new FileTransfer();
                    fileEntry.remove();

                    fileTransfer.download(url, path + nomeArquivo, function(fileEntry_) {
                        var caminho = fileEntry_.toURL();
                        //multiploDownload nao converte  para   base64
                        if (PLATAFORMA.ios || multiploDownload) {
                            resolve({
                                uriBase64: "",
                                caminho: caminho
                            });
                            return;
                        }
                        that.converterFileEntryParaBase64(fileEntry_).then(function(uriBase64) {
                            resolve({
                                uriBase64: uriBase64,
                                caminho: caminho
                            });
                        }).catch(reject);
                    }, reject, false, {
						//engana o google  kkkkkkk
                        headers: {
                            "Referer": "http://translate.google.com/",
                            "User-Agent": "Google"
                        }
					});
				}, reject);
            }, reject);
        });
    },
	
	favoritosAntigoParaNovo: function(imagens) {
        var that = this;		
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/favoritoAntigoParaNovo.php",
            //parametros  enviados
            data: {
                conta: Conta.id,
                imagens: imagens
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            if(respostaJSON){
				if(respostaJSON.ok){
					//localStorage.novoFavoritos= JSON.stringify(respostaJSON.dados.imagens);
					localStorage.removeItem("favoritos");
				}
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	getFavoritosBanco: function(conta, callback) {
        Util.exibirLoader("#loaderGeral");

		var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/favoritoGetFavoritos.php?conta="+conta;
		//checa o cache
		if(CacheStorage.isValid(url)){
			var imagens= CacheStorage.getDados(url);
			this.zueiras= imagens;
			
			if(callback)
				callback(imagens);
			
			Util.removerLoader("#loaderGeral");
			return imagens;
		}
		
		var that = this;		
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/favoritoGetFavoritos.php",
            //parametros  enviados
            data: {
                conta: conta
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            if(respostaJSON){
				if(respostaJSON.ok){
					var dados= respostaJSON.dados;
					that.zueiras= dados;
					
					CARD.marcarFavoritas();
					
					var url= "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/favoritoGetFavoritos.php?conta="+conta;
					// salva no cache local
					CacheStorage.addCache("CacheFavoritos", url, 1 * CacheStorage._DIA, dados);				
			
					if(callback)
						callback(dados);
					
					Util.removerLoader("#loaderGeral");
					return dados;
				}
			}

            that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
				
				if(callback)
					callback();
				
                return;
            }
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	addFavoritoBanco: function(conta, imagem) {
		var that = this;		
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/favoritoAdd.php",
            //parametros  enviados
            data: {
                conta: conta,
				imagem: imagem
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            CacheStorage.removeKey("CacheFavoritos");
			that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	removeFavoritoBanco: function(conta, imagem) {
		var that = this;		
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/favoritoRemove.php",
            //parametros  enviados
            data: {
                conta: conta,
				imagem: imagem
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
            CacheStorage.removeKey("CacheFavoritos");
			that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	excluirBanco: function(conta, imagem) {
		var that = this;		
		
        if (this.ajax) {
            this.ajax.abort();
            this.ajax = null;
        }

        this.ajax = $.ajax({
            method: "POST",
            //todos os AJAX devem ter o caminho completo
            url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/excluirImagem.php",
            //parametros  enviados
            data: {
                conta: conta,
				imagem: imagem
            },
            //tipo de retorno sera JSONn
            dataType: "json"
        });
        //apos o ajax ser completado o DONE sera chamado
        this.ajax.done(function(respostaJSON) {
			that.ajax = null;
        });
        //caso haja erro no ajax
        this.ajax.fail(function(jqXHR, status) {
            // se for abortado manualmente status é 'abort' se deu erro é 'error'
            if (status == "abort") {
                that.ajax = null;
                return;
            }
            that.ajax = null;
        });

        this.ajax.always(function() {
            that.ajax = null;
        });

        return false;
    },
	
	
    init: function(callback) {
        this.licarEventos();
        this.getFavoritos(callback);
        this.getBloqueados();
		
		if(typeof(Storage) !== "undefined"){
			this.suportaStorage= true;
		}
    }
};
