var uploadZueira = (function(Locale) {
	"use strict";

	var LARGURA = 700;
	var ALTURA = 500;


	var _imgMarcaAgua = new Image();
	_imgMarcaAgua.src = "img/site.png";
	var _imgMarcaAguaIcone = new Image();
	_imgMarcaAguaIcone.src = "img/icone.png";
	var _imageData = "";
       
	var uploadZueira = {


		marcaAgua: function(ctx, img) {
			//LINK
			var l = img.height / 2;
			var a = (_imgMarcaAgua.height * l) / _imgMarcaAgua.width;
			var x = l / 2; //img.width - l ;
			var y = 7; //img.height - a;
			ctx.save();
			ctx.translate(a, 0);
			ctx.rotate(90 * Math.PI / 180)
			ctx.globalAlpha = 0.5;
			ctx.drawImage(_imgMarcaAgua, x, y, l, a);
			ctx.restore();

			//LOGO
			var l = img.width / 15;
			var a = (_imgMarcaAguaIcone.height * l) / _imgMarcaAguaIcone.width;
			var x = img.width - l;
			var y = img.height - a;
			ctx.globalAlpha = 0.5;
			ctx.drawImage(_imgMarcaAguaIcone, x, y, l, a);

		},

		redimensionaImg: function(imgBase64, callback) {
			var img = new Image();
			var that = this;
			var canvas = document.createElement("canvas");
			var ctx = canvas.getContext("2d");
			img.onload = function() {
				if (img.height > ALTURA) {
					img.width = (img.width * ALTURA) / img.height;
					img.height = ALTURA;
				} else if (img.width > LARGURA) {
					img.width = LARGURA;
					img.height = (img.height * LARGURA) / img.width;
				}
				var ctx = canvas.getContext("2d");				
				var w= img.width + 15;
				canvas.width =w;
				var h= img.height + 15;
				canvas.height = h;
				ctx.fillStyle= "white";
				ctx.rect(0, 0, w, h);
				ctx.fill();
				ctx.drawImage(img, 7, 7, img.width, img.height);
				that.marcaAgua(ctx, img);
				callback(canvas.toDataURL("image/png"));

			};
			img.src = imgBase64;
		},

		pegaImagem: function() {
			_imageData = "";
			$("#upload-imagem-selecionada").html("");
			var config = {
				quality: 100,
				encodingType: Camera.EncodingType.PNG,
				destinationType: Camera.DestinationType.DATA_URL,
				sourceType: Camera.PictureSourceType.PHOTOLIBRARY, //SAVEDPHOTOALBUM
				targetWidth: 700,
				targetHeight: 500,
				mediaType: Camera.MediaType.PICTURE
			};

			navigator.camera.getPicture(function(imageData) {
				_imageData = "data:image/png;base64," + imageData;
				var img = new Image();
				img.src = _imageData;
				img.width = 80;
				$("#upload-imagem-selecionada").append(img);
			}, function() {
				alert("Imagem não foi selecionada");
			}, config);

		},

		limpa: function() {
			$("#upload-imagem-selecionada").html("");
			$("#upload-descricao").val("");
			_imageData = "";
		},

		uploadCordova: function() {
		    if (!PLATAFORMA.isOnline()) {
		        navigator.notification.alert(Locale.ativo["str027"], null, Locale.ativo["str028"]);
		        return;
		    }

		    if (!_imageData) {
				alert("Selecione uma imagem");
				return;
			}
			$("#upload-btnEnviar").prop("disabled", true);
			uploadZueira.redimensionaImg(_imageData, function(imgBase64) {
				$.ajax({
					url: "http://www.zueirassemlimites.com/apps/zueiras-sem-limites/mobile/uploadZueira.php",
					type: "POST",
					dataType: "json",
					data: {
						imgBase64: imgBase64,
						descricao: $("#upload-descricao").val(),
						categoria: 11, //DO  usuario
						lang: Locale.lang,
						conta: Conta.id
					}
				}).done(function(resposta) {
				    if (resposta.ok) {
				        navigator.notification.alert(Locale.ativo["str026"], null, Locale.ativo["str028"]);
						uploadZueira.limpa();
					} else {
						alert("Erro:" + resposta.msg[0].erro);
					}
				}).fail(function() {
				    navigator.notification.alert(Locale.ativo["str029"], null, Locale.ativo["str028"]);
				}).always(function() {
					$("#upload-btnEnviar").prop("disabled", false);
				});
			});

		},

		//upload: function() {
			// var file = document.querySelector("#upload-file").files[0];
			// var reader = new FileReader();
			// if (!file || !file.type.match("image.*")) {
			// 	alert("Selecione uma imagem");
			// 	return;
			// }
			// reader.onloadend = function() {
			// 	uploadZueira.redimensionaImg(reader.result, function(imgBase64) {

			// 		$.ajax({
			// 			url: "http://www.escolhatecnologia.com.br/zueiras/ZueiraPHP/upload_img.php",
			// 			type: "POST",
			// 			dataType: "json",
			// 			data: {
			// 				imgBase64: imgBase64,
			// 				descricao: $("#upload-descricao").val(),
			// 				categoria: 11, //DO  usuario
			// 				lang: Locale.lang
			// 			}
			// 		}).done(function(resposta) {
			// 			if (resposta.ok) {
			// 				alert("Sucesso");
			// 			} else {
			// 				alert("Erro:" + resposta.msg[0].erro);
			// 			}
			// 		}).fail(function() {
			// 			alert("Erro upload");
			// 		}).always(function() {
			// 			$("#upload-btnEnviar").prop("disabled", false);
			// 		});
			// 	});

			// };
			// reader.onerror = function() {
			// 	alert("Erro ao  ler imagem");
			// 	$("#upload-btnEnviar").prop("disabled", false);
			// };
			// $("#upload-btnEnviar").prop("disabled", true);

			// reader.readAsDataURL(file);
		//},


		init: function() {



			$("#upload-file").on(_touchstart, function() {
				uploadZueira.pegaImagem();
				return false;
			});
			$("#upload-btnEnviar").on(_touchstart, function() {
				uploadZueira.uploadCordova();
				return false;
			});



		}

	};


	return uploadZueira;

}(Locale));
